      subroutine hddmjac6(njac,nrxn,H2O,M,O2,CH4,H2,flg,jac,y,rk)
      implicit none
c
c----CAMx v6.30 160408
c
c     HDDMJAC6 computes a full Jacobian for HDDM
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c     Created by the CMC version 5.2.4
c
c     Routines Called:
c        none
c
c     Called by:
c        HDDMCHEM
c
      include "camx.prm"
      include "chmdat.inc"
      include "ddmchm.inc"
c
      integer njac, nrxn, i, j
      real H2O, M, O2, CH4, H2, N2, flg
      real jac(njac+1,njac+1), y(njac+1), rk(nrxn)
c
c --- Entry point
c
      N2  = M - O2
c

          JAC(lNO2 ,lNO2 )= +( 1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  4)    *y(lO)
     &                      +( 1.000)*rk(  5)    *y(lO)
     &                      +( 1.000)*rk(  7)    *y(lO3)
     &                      +( 1.000)*rk( 17)    *y(lNO3)
     &                      +(-1.000)*rk( 17)    *y(lNO3)
     &                      +( 1.000)*rk( 18)    *y(lNO3)
     &                      +( 1.000)*rk( 23)    *y(lNO)*H2O
     &                      +( 1.000)*rk( 28)    *y(lOH)
          JAC(lNO2 ,lNO2 )=JAC(lNO2 ,lNO2 )
     &                      +( 1.000)*rk( 31)    *y(lHO2)
     &                      +( 1.000)*rk( 89)    *y(lC2O3)
     &                      +( 1.000)*rk(104)    *y(lCXO3)
     &                      +( 1.000)*rk(118)    *y(lROR)
     &                      +( 1.000)*rk(136)    *y(lCRO)
     &                      +( 1.000)*rk(148)    *y(lISOP)
          JAC(lNO2 ,lNO  )= +(-1.000)*rk(  3)    *y(lO3)
     &                      +(-1.000)*rk(  6)    *y(lO)
     &                      +(-2.000)*rk( 16)    *y(lNO3)
     &                      +(-4.000)*rk( 22)    *y(lNO)*O2
     &                      +( 1.000)*rk( 23)    *y(lNO2)*H2O
     &                      +(-1.000)*rk( 30)    *y(lHO2)
     &                      +(-1.000)*rk( 54)    *y(lXO2)
     &                      +(-1.000)*rk( 68)    *y(lMEO2)
     &                      +(-1.000)*rk( 81)    *y(lHCO3)
          JAC(lNO2 ,lNO  )=JAC(lNO2 ,lNO  )
     &                      +(-1.000)*rk( 88)    *y(lC2O3)
     &                      +(-1.000)*rk(103)    *y(lCXO3)
     &                      +(-0.900)*rk(132)    *y(lTO2)
          JAC(lNO2 ,lO   )= +( 1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +(-1.000)*rk(  6)    *y(lNO)
     &                      +(-1.000)*rk( 46)    *y(lNO3)
          JAC(lNO2 ,lO3  )= +(-1.000)*rk(  3)    *y(lNO)
     &                      +( 1.000)*rk(  7)    *y(lNO2)
     &                      +(-1.000)*rk( 49)    *y(lNO3)
          JAC(lNO2 ,lNO3 )= +(-1.000)*rk( 14)*flg
     &                      +(-2.000)*rk( 16)    *y(lNO)
     &                      +( 1.000)*rk( 17)    *y(lNO2)
     &                      +(-1.000)*rk( 17)    *y(lNO2)
     &                      +( 1.000)*rk( 18)    *y(lNO2)
     &                      +(-1.000)*rk( 46)    *y(lO)
     &                      +(-1.000)*rk( 47)    *y(lOH)
     &                      +(-1.000)*rk( 49)    *y(lO3)
     &                      +(-4.000)*rk( 50)    *y(lNO3)
          JAC(lNO2 ,lNO3 )=JAC(lNO2 ,lNO3 )
     &                      +(-1.000)*rk(122)    *y(lOLE)
     &                      +(-1.000)*rk(126)    *y(lETH)
     &                      +(-1.000)*rk(130)    *y(lIOLE)
     &                      +(-0.200)*rk(147)    *y(lISOP)
     &                      +(-0.470)*rk(156)    *y(lTERP)
          JAC(lNO2 ,lOH  )= +(-1.000)*rk( 26)    *y(lHONO)
     &                      +( 1.000)*rk( 28)    *y(lNO2)
     &                      +(-1.000)*rk( 33)    *y(lPNA)
     &                      +(-1.000)*rk( 47)    *y(lNO3)
     &                      +(-1.000)*rk(107)    *y(lPANX)
          JAC(lNO2 ,lHO2 )= +(-1.000)*rk( 30)    *y(lNO)
     &                      +( 1.000)*rk( 31)    *y(lNO2)
          JAC(lNO2 ,lN2O5)= +(-1.000)*rk( 21)*flg
     &                      +(-1.000)*rk( 53)*flg
          JAC(lNO2 ,lHNO3)= +(-1.000)*rk( 52)*flg
          JAC(lNO2 ,lHONO)= +(-1.000)*rk( 26)    *y(lOH)
     &                      +(-2.000)*rk( 27)    *y(lHONO)
          JAC(lNO2 ,lPNA )= +(-1.000)*rk( 32)*flg
     &                      +(-1.000)*rk( 33)    *y(lOH)
     &                      +(-0.610)*rk( 51)*flg
          JAC(lNO2 ,lXO2 )= +(-1.000)*rk( 54)    *y(lNO)
          JAC(lNO2 ,lNTR )= +(-1.000)*rk( 62)*flg
          JAC(lNO2 ,lMEO2)= +(-1.000)*rk( 68)    *y(lNO)
          JAC(lNO2 ,lHCO3)= +(-1.000)*rk( 81)    *y(lNO)
          JAC(lNO2 ,lC2O3)= +(-1.000)*rk( 88)    *y(lNO)
     &                      +( 1.000)*rk( 89)    *y(lNO2)
          JAC(lNO2 ,lPAN )= +(-1.000)*rk( 90)*flg
     &                      +(-1.000)*rk( 91)*flg
          JAC(lNO2 ,lCXO3)= +(-1.000)*rk(103)    *y(lNO)
     &                      +( 1.000)*rk(104)    *y(lNO2)
          JAC(lNO2 ,lPANX)= +(-1.000)*rk(105)*flg
     &                      +(-1.000)*rk(106)*flg
     &                      +(-1.000)*rk(107)    *y(lOH)
          JAC(lNO2 ,lROR )= +( 1.000)*rk(118)    *y(lNO2)
          JAC(lNO2 ,lOLE )= +(-1.000)*rk(122)    *y(lNO3)
          JAC(lNO2 ,lETH )= +(-1.000)*rk(126)    *y(lNO3)
          JAC(lNO2 ,lIOLE)= +(-1.000)*rk(130)    *y(lNO3)
          JAC(lNO2 ,lTO2 )= +(-0.900)*rk(132)    *y(lNO)
          JAC(lNO2 ,lCRO )= +( 1.000)*rk(136)    *y(lNO2)
          JAC(lNO2 ,lISOP)= +(-0.200)*rk(147)    *y(lNO3)
     &                      +( 1.000)*rk(148)    *y(lNO2)
          JAC(lNO2 ,lTERP)= +(-0.470)*rk(156)    *y(lNO3)
          JAC(lNO  ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +(-1.000)*rk(  4)    *y(lO)
     &                      +(-1.000)*rk( 17)    *y(lNO3)
     &                      +( 1.000)*rk( 23)    *y(lNO)*H2O
     &                      +(-0.200)*rk(148)    *y(lISOP)
          JAC(lNO  ,lNO  )= +( 1.000)*rk(  3)    *y(lO3)
     &                      +( 1.000)*rk(  6)    *y(lO)
     &                      +( 1.000)*rk( 16)    *y(lNO3)
     &                      +( 4.000)*rk( 22)    *y(lNO)*O2
     &                      +( 1.000)*rk( 23)    *y(lNO2)*H2O
     &                      +( 1.000)*rk( 24)    *y(lOH)
     &                      +( 1.000)*rk( 30)    *y(lHO2)
     &                      +( 1.000)*rk( 54)    *y(lXO2)
     &                      +( 1.000)*rk( 55)    *y(lXO2N)
          JAC(lNO  ,lNO  )=JAC(lNO  ,lNO  )
     &                      +( 1.000)*rk( 68)    *y(lMEO2)
     &                      +( 1.000)*rk( 81)    *y(lHCO3)
     &                      +( 1.000)*rk( 88)    *y(lC2O3)
     &                      +( 1.000)*rk(103)    *y(lCXO3)
     &                      +( 1.000)*rk(132)    *y(lTO2)
          JAC(lNO  ,lO   )= +(-1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO)
          JAC(lNO  ,lO3  )= +( 1.000)*rk(  3)    *y(lNO)
          JAC(lNO  ,lNO3 )= +(-1.000)*rk( 15)*flg
     &                      +( 1.000)*rk( 16)    *y(lNO)
     &                      +(-1.000)*rk( 17)    *y(lNO2)
          JAC(lNO  ,lOH  )= +( 1.000)*rk( 24)    *y(lNO)
          JAC(lNO  ,lHO2 )= +( 1.000)*rk( 30)    *y(lNO)
          JAC(lNO  ,lHONO)= +(-1.000)*rk( 25)*flg
     &                      +(-2.000)*rk( 27)    *y(lHONO)
          JAC(lNO  ,lXO2 )= +( 1.000)*rk( 54)    *y(lNO)
          JAC(lNO  ,lXO2N)= +( 1.000)*rk( 55)    *y(lNO)
          JAC(lNO  ,lMEO2)= +( 1.000)*rk( 68)    *y(lNO)
          JAC(lNO  ,lHCO3)= +( 1.000)*rk( 81)    *y(lNO)
          JAC(lNO  ,lC2O3)= +( 1.000)*rk( 88)    *y(lNO)
          JAC(lNO  ,lCXO3)= +( 1.000)*rk(103)    *y(lNO)
          JAC(lNO  ,lTO2 )= +( 1.000)*rk(132)    *y(lNO)
          JAC(lNO  ,lISOP)= +(-0.200)*rk(148)    *y(lNO2)
          JAC(lO   ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  4)    *y(lO)
     &                      +( 1.000)*rk(  5)    *y(lO)
          JAC(lO   ,lNO  )= +( 1.000)*rk(  6)    *y(lO)
          JAC(lO   ,lO   )= +( 1.000)*rk(  2)*flg*O2*M
     &                      +( 1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO)
     &                      +( 1.000)*rk( 40)    *y(lOH)
     &                      +( 1.000)*rk( 44)    *y(lHO2)
     &                      +( 1.000)*rk( 45)    *y(lH2O2)
     &                      +( 1.000)*rk( 46)    *y(lNO3)
     &                      +( 1.000)*rk( 77)    *y(lFORM)
          JAC(lO   ,lO   )=JAC(lO   ,lO   )
     &                      +( 1.000)*rk( 84)    *y(lALD2)
     &                      +( 1.000)*rk( 99)    *y(lALDX)
     &                      +( 1.000)*rk(119)    *y(lOLE)
     &                      +( 1.000)*rk(123)    *y(lETH)
     &                      +( 1.000)*rk(127)    *y(lIOLE)
     &                      +( 1.000)*rk(144)    *y(lISOP)
     &                      +( 1.000)*rk(153)    *y(lTERP)
          JAC(lO   ,lO3  )= +(-1.000)*rk(  8)*flg
     &                      +(-0.500)*rk(129)    *y(lIOLE)
          JAC(lO   ,lNO3 )= +(-1.000)*rk( 14)*flg
     &                      +( 1.000)*rk( 46)    *y(lO)
          JAC(lO   ,lO1D )= +(-1.000)*rk( 10)*flg*M
          JAC(lO   ,lOH  )= +( 1.000)*rk( 40)    *y(lO)
     &                      +(-2.000)*rk( 41)    *y(lOH)
          JAC(lO   ,lHO2 )= +( 1.000)*rk( 44)    *y(lO)
          JAC(lO   ,lH2O2)= +( 1.000)*rk( 45)    *y(lO)
          JAC(lO   ,lFORM)= +( 1.000)*rk( 77)    *y(lO)
          JAC(lO   ,lALD2)= +( 1.000)*rk( 84)    *y(lO)
          JAC(lO   ,lALDX)= +( 1.000)*rk( 99)    *y(lO)
          JAC(lO   ,lOLE )= +( 1.000)*rk(119)    *y(lO)
          JAC(lO   ,lETH )= +( 1.000)*rk(123)    *y(lO)
          JAC(lO   ,lIOLE)= +( 1.000)*rk(127)    *y(lO)
     &                      +(-0.500)*rk(129)    *y(lO3)
          JAC(lO   ,lISOP)= +( 1.000)*rk(144)    *y(lO)
          JAC(lO   ,lTERP)= +( 1.000)*rk(153)    *y(lO)
          JAC(lO3  ,lNO2 )= +( 1.000)*rk(  7)    *y(lO3)
          JAC(lO3  ,lNO  )= +( 1.000)*rk(  3)    *y(lO3)
          JAC(lO3  ,lO   )= +(-1.000)*rk(  2)*flg*O2*M
          JAC(lO3  ,lO3  )= +( 1.000)*rk(  3)    *y(lNO)
     &                      +( 1.000)*rk(  7)    *y(lNO2)
     &                      +( 1.000)*rk(  8)*flg
     &                      +( 1.000)*rk(  9)*flg
     &                      +( 1.000)*rk( 12)    *y(lOH)
     &                      +( 1.000)*rk( 13)    *y(lHO2)
     &                      +( 1.000)*rk( 49)    *y(lNO3)
     &                      +( 1.000)*rk(121)    *y(lOLE)
     &                      +( 1.000)*rk(125)    *y(lETH)
          JAC(lO3  ,lO3  )=JAC(lO3  ,lO3  )
     &                      +( 1.000)*rk(129)    *y(lIOLE)
     &                      +( 1.000)*rk(140)    *y(lOPEN)
     &                      +( 1.000)*rk(146)    *y(lISOP)
     &                      +( 1.000)*rk(150)    *y(lISPD)
     &                      +( 1.000)*rk(155)    *y(lTERP)
          JAC(lO3  ,lNO3 )= +( 1.000)*rk( 49)    *y(lO3)
          JAC(lO3  ,lOH  )= +( 1.000)*rk( 12)    *y(lO3)
          JAC(lO3  ,lHO2 )= +( 1.000)*rk( 13)    *y(lO3)
     &                      +(-0.200)*rk( 92)    *y(lC2O3)
     &                      +(-0.200)*rk(108)    *y(lCXO3)
          JAC(lO3  ,lC2O3)= +(-0.200)*rk( 92)    *y(lHO2)
          JAC(lO3  ,lCXO3)= +(-0.200)*rk(108)    *y(lHO2)
          JAC(lO3  ,lOLE )= +( 1.000)*rk(121)    *y(lO3)
          JAC(lO3  ,lETH )= +( 1.000)*rk(125)    *y(lO3)
          JAC(lO3  ,lIOLE)= +( 1.000)*rk(129)    *y(lO3)
          JAC(lO3  ,lOPEN)= +( 1.000)*rk(140)    *y(lO3)
          JAC(lO3  ,lISOP)= +( 1.000)*rk(146)    *y(lO3)
          JAC(lO3  ,lISPD)= +( 1.000)*rk(150)    *y(lO3)
          JAC(lO3  ,lTERP)= +( 1.000)*rk(155)    *y(lO3)
          JAC(lNO3 ,lNO2 )= +(-1.000)*rk(  5)    *y(lO)
     &                      +(-1.000)*rk(  7)    *y(lO3)
     &                      +( 1.000)*rk( 17)    *y(lNO3)
     &                      +( 1.000)*rk( 18)    *y(lNO3)
          JAC(lNO3 ,lNO  )= +( 1.000)*rk( 16)    *y(lNO3)
          JAC(lNO3 ,lO   )= +(-1.000)*rk(  5)    *y(lNO2)
     &                      +( 1.000)*rk( 46)    *y(lNO3)
          JAC(lNO3 ,lO3  )= +(-1.000)*rk(  7)    *y(lNO2)
     &                      +( 1.000)*rk( 49)    *y(lNO3)
          JAC(lNO3 ,lNO3 )= +( 1.000)*rk( 14)*flg
     &                      +( 1.000)*rk( 15)*flg
     &                      +( 1.000)*rk( 16)    *y(lNO)
     &                      +( 1.000)*rk( 17)    *y(lNO2)
     &                      +( 1.000)*rk( 18)    *y(lNO2)
     &                      +( 1.000)*rk( 46)    *y(lO)
     &                      +( 1.000)*rk( 47)    *y(lOH)
     &                      +( 1.000)*rk( 48)    *y(lHO2)
     &                      +( 1.000)*rk( 49)    *y(lO3)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 4.000)*rk( 50)    *y(lNO3)
     &                      +( 1.000)*rk( 78)    *y(lFORM)
     &                      +( 1.000)*rk( 86)    *y(lALD2)
     &                      +( 1.000)*rk(101)    *y(lALDX)
     &                      +( 1.000)*rk(122)    *y(lOLE)
     &                      +( 1.000)*rk(126)    *y(lETH)
     &                      +( 1.000)*rk(130)    *y(lIOLE)
     &                      +( 1.000)*rk(135)    *y(lCRES)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 1.000)*rk(147)    *y(lISOP)
     &                      +( 1.000)*rk(151)    *y(lISPD)
     &                      +( 1.000)*rk(156)    *y(lTERP)
          JAC(lNO3 ,lOH  )= +(-1.000)*rk( 29)    *y(lHNO3)
     &                      +( 1.000)*rk( 47)    *y(lNO3)
          JAC(lNO3 ,lHO2 )= +( 1.000)*rk( 48)    *y(lNO3)
          JAC(lNO3 ,lN2O5)= +(-1.000)*rk( 21)*flg
     &                      +(-1.000)*rk( 53)*flg
          JAC(lNO3 ,lHNO3)= +(-1.000)*rk( 29)    *y(lOH)
          JAC(lNO3 ,lPNA )= +(-0.390)*rk( 51)*flg
          JAC(lNO3 ,lFORM)= +( 1.000)*rk( 78)    *y(lNO3)
          JAC(lNO3 ,lALD2)= +( 1.000)*rk( 86)    *y(lNO3)
          JAC(lNO3 ,lALDX)= +( 1.000)*rk(101)    *y(lNO3)
          JAC(lNO3 ,lOLE )= +( 1.000)*rk(122)    *y(lNO3)
          JAC(lNO3 ,lETH )= +( 1.000)*rk(126)    *y(lNO3)
          JAC(lNO3 ,lIOLE)= +( 1.000)*rk(130)    *y(lNO3)
          JAC(lNO3 ,lCRES)= +( 1.000)*rk(135)    *y(lNO3)
          JAC(lNO3 ,lISOP)= +( 1.000)*rk(147)    *y(lNO3)
          JAC(lNO3 ,lISPD)= +( 1.000)*rk(151)    *y(lNO3)
          JAC(lNO3 ,lTERP)= +( 1.000)*rk(156)    *y(lNO3)
          JAC(lO1D ,lO3  )= +(-1.000)*rk(  9)*flg
          JAC(lO1D ,lO1D )= +( 1.000)*rk( 10)*flg*M
     &                      +( 1.000)*rk( 11)*flg*H2O
     &                      +( 1.000)*rk( 38)*flg*H2
          JAC(lOH  ,lNO2 )= +( 1.000)*rk( 28)    *y(lOH)
          JAC(lOH  ,lNO  )= +( 1.000)*rk( 24)    *y(lOH)
     &                      +(-1.000)*rk( 30)    *y(lHO2)
          JAC(lOH  ,lO   )= +( 1.000)*rk( 40)    *y(lOH)
     &                      +(-1.000)*rk( 44)    *y(lHO2)
     &                      +(-1.000)*rk( 45)    *y(lH2O2)
     &                      +(-1.000)*rk( 77)    *y(lFORM)
     &                      +(-1.000)*rk( 84)    *y(lALD2)
     &                      +(-1.000)*rk( 99)    *y(lALDX)
     &                      +(-0.100)*rk(119)    *y(lOLE)
     &                      +(-0.300)*rk(123)    *y(lETH)
          JAC(lOH  ,lO3  )= +( 1.000)*rk( 12)    *y(lOH)
     &                      +(-1.000)*rk( 13)    *y(lHO2)
     &                      +(-0.100)*rk(121)    *y(lOLE)
     &                      +(-0.130)*rk(125)    *y(lETH)
     &                      +(-0.500)*rk(129)    *y(lIOLE)
     &                      +(-0.080)*rk(140)    *y(lOPEN)
     &                      +(-0.266)*rk(146)    *y(lISOP)
     &                      +(-0.268)*rk(150)    *y(lISPD)
     &                      +(-0.570)*rk(155)    *y(lTERP)
          JAC(lOH  ,lNO3 )= +( 1.000)*rk( 47)    *y(lOH)
          JAC(lOH  ,lO1D )= +(-2.000)*rk( 11)*flg*H2O
     &                      +(-1.000)*rk( 38)*flg*H2
          JAC(lOH  ,lOH  )= +( 1.000)*rk( 12)    *y(lO3)
     &                      +( 1.000)*rk( 24)    *y(lNO)
     &                      +( 1.000)*rk( 26)    *y(lHONO)
     &                      +( 1.000)*rk( 28)    *y(lNO2)
     &                      +( 1.000)*rk( 29)    *y(lHNO3)
     &                      +( 1.000)*rk( 33)    *y(lPNA)
     &                      +( 1.000)*rk( 37)    *y(lH2O2)
     &                      +( 1.000)*rk( 39)*flg*H2
     &                      +( 1.000)*rk( 40)    *y(lO)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 4.000)*rk( 41)    *y(lOH)
     &                      +( 4.000)*rk( 42)    *y(lOH)
     &                      +( 1.000)*rk( 43)    *y(lHO2)
     &                      +( 1.000)*rk( 47)    *y(lNO3)
     &                      +( 1.000)*rk( 61)    *y(lNTR)
     &                      +( 1.000)*rk( 63)    *y(lSO2)
     &                      +( 1.000)*rk( 64)    *y(lROOH)
     &                      +( 1.000)*rk( 66)    *y(lCO)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk( 67)*flg*CH4
     &                      +( 1.000)*rk( 71)    *y(lMEPX)
     &                      +( 1.000)*rk( 73)    *y(lMEOH)
     &                      +( 1.000)*rk( 74)    *y(lFORM)
     &                      +( 1.000)*rk( 83)    *y(lFACD)
     &                      +( 1.000)*rk( 85)    *y(lALD2)
     &                      +( 1.000)*rk( 96)    *y(lPACD)
     &                      +( 1.000)*rk( 98)    *y(lAACD)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(100)    *y(lALDX)
     &                      +( 1.000)*rk(107)    *y(lPANX)
     &                      +( 1.000)*rk(113)    *y(lETHA)
     &                      +( 1.000)*rk(114)    *y(lETOH)
     &                      +( 1.000)*rk(115)    *y(lPAR)
     &                      +( 1.000)*rk(120)    *y(lOLE)
     &                      +( 1.000)*rk(124)    *y(lETH)
     &                      +( 1.000)*rk(128)    *y(lIOLE)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk(131)    *y(lTOL)
     &                      +( 1.000)*rk(134)    *y(lCRES)
     &                      +( 1.000)*rk(139)    *y(lOPEN)
     &                      +( 1.000)*rk(141)    *y(lXYL)
     &                      +( 1.000)*rk(142)    *y(lMGLY)
     &                      +( 1.000)*rk(145)    *y(lISOP)
     &                      +( 1.000)*rk(149)    *y(lISPD)
     &                      +( 1.000)*rk(154)    *y(lTERP)
          JAC(lOH  ,lHO2 )= +(-1.000)*rk( 13)    *y(lO3)
     &                      +(-1.000)*rk( 30)    *y(lNO)
     &                      +( 1.000)*rk( 43)    *y(lOH)
     &                      +(-1.000)*rk( 44)    *y(lO)
          JAC(lOH  ,lHNO3)= +( 1.000)*rk( 29)    *y(lOH)
     &                      +(-1.000)*rk( 52)*flg
          JAC(lOH  ,lHONO)= +(-1.000)*rk( 25)*flg
     &                      +( 1.000)*rk( 26)    *y(lOH)
          JAC(lOH  ,lPNA )= +( 1.000)*rk( 33)    *y(lOH)
     &                      +(-0.390)*rk( 51)*flg
          JAC(lOH  ,lH2O2)= +(-2.000)*rk( 36)*flg
     &                      +( 1.000)*rk( 37)    *y(lOH)
     &                      +(-1.000)*rk( 45)    *y(lO)
          JAC(lOH  ,lNTR )= +( 1.000)*rk( 61)    *y(lOH)
          JAC(lOH  ,lROOH)= +( 1.000)*rk( 64)    *y(lOH)
     &                      +(-1.000)*rk( 65)*flg
          JAC(lOH  ,lFORM)= +( 1.000)*rk( 74)    *y(lOH)
     &                      +(-1.000)*rk( 77)    *y(lO)
          JAC(lOH  ,lALD2)= +(-1.000)*rk( 84)    *y(lO)
     &                      +( 1.000)*rk( 85)    *y(lOH)
          JAC(lOH  ,lALDX)= +(-1.000)*rk( 99)    *y(lO)
     &                      +( 1.000)*rk(100)    *y(lOH)
          JAC(lOH  ,lPAR )= +( 1.000)*rk(115)    *y(lOH)
          JAC(lOH  ,lSO2 )= +( 1.000)*rk( 63)    *y(lOH)
          JAC(lOH  ,lCO  )= +( 1.000)*rk( 66)    *y(lOH)
          JAC(lOH  ,lMEPX)= +( 1.000)*rk( 71)    *y(lOH)
     &                      +(-1.000)*rk( 72)*flg
          JAC(lOH  ,lMEOH)= +( 1.000)*rk( 73)    *y(lOH)
          JAC(lOH  ,lFACD)= +( 1.000)*rk( 83)    *y(lOH)
          JAC(lOH  ,lPACD)= +( 1.000)*rk( 96)    *y(lOH)
     &                      +(-1.000)*rk( 97)*flg
          JAC(lOH  ,lAACD)= +( 1.000)*rk( 98)    *y(lOH)
          JAC(lOH  ,lPANX)= +( 1.000)*rk(107)    *y(lOH)
          JAC(lOH  ,lETHA)= +( 1.000)*rk(113)    *y(lOH)
          JAC(lOH  ,lETOH)= +( 1.000)*rk(114)    *y(lOH)
          JAC(lOH  ,lOLE )= +(-0.100)*rk(119)    *y(lO)
     &                      +( 1.000)*rk(120)    *y(lOH)
     &                      +(-0.100)*rk(121)    *y(lO3)
          JAC(lOH  ,lETH )= +(-0.300)*rk(123)    *y(lO)
     &                      +( 1.000)*rk(124)    *y(lOH)
     &                      +(-0.130)*rk(125)    *y(lO3)
          JAC(lOH  ,lIOLE)= +( 1.000)*rk(128)    *y(lOH)
     &                      +(-0.500)*rk(129)    *y(lO3)
          JAC(lOH  ,lTOL )= +( 1.000)*rk(131)    *y(lOH)
          JAC(lOH  ,lCRES)= +( 1.000)*rk(134)    *y(lOH)
          JAC(lOH  ,lOPEN)= +( 1.000)*rk(139)    *y(lOH)
     &                      +(-0.080)*rk(140)    *y(lO3)
          JAC(lOH  ,lMGLY)= +( 1.000)*rk(142)    *y(lOH)
          JAC(lOH  ,lXYL )= +( 1.000)*rk(141)    *y(lOH)
          JAC(lOH  ,lISOP)= +( 1.000)*rk(145)    *y(lOH)
     &                      +(-0.266)*rk(146)    *y(lO3)
          JAC(lOH  ,lISPD)= +( 1.000)*rk(149)    *y(lOH)
     &                      +(-0.268)*rk(150)    *y(lO3)
          JAC(lOH  ,lTERP)= +( 1.000)*rk(154)    *y(lOH)
     &                      +(-0.570)*rk(155)    *y(lO3)
          JAC(lHO2 ,lNO2 )= +( 1.000)*rk( 31)    *y(lHO2)
     &                      +(-0.800)*rk(148)    *y(lISOP)
          JAC(lHO2 ,lNO  )= +( 1.000)*rk( 30)    *y(lHO2)
     &                      +(-1.000)*rk( 68)    *y(lMEO2)
     &                      +(-1.000)*rk( 81)    *y(lHCO3)
     &                      +(-1.000)*rk(103)    *y(lCXO3)
     &                      +(-0.900)*rk(132)    *y(lTO2)
          JAC(lHO2 ,lO   )= +(-1.000)*rk( 40)    *y(lOH)
     &                      +( 1.000)*rk( 44)    *y(lHO2)
     &                      +(-1.000)*rk( 45)    *y(lH2O2)
     &                      +(-1.000)*rk( 77)    *y(lFORM)
     &                      +(-0.300)*rk(119)    *y(lOLE)
     &                      +(-1.700)*rk(123)    *y(lETH)
     &                      +(-0.100)*rk(127)    *y(lIOLE)
     &                      +(-0.250)*rk(144)    *y(lISOP)
          JAC(lHO2 ,lO3  )= +(-1.000)*rk( 12)    *y(lOH)
     &                      +( 1.000)*rk( 13)    *y(lHO2)
     &                      +(-0.440)*rk(121)    *y(lOLE)
     &                      +(-0.130)*rk(125)    *y(lETH)
     &                      +(-0.500)*rk(129)    *y(lIOLE)
     &                      +(-0.760)*rk(140)    *y(lOPEN)
     &                      +(-0.066)*rk(146)    *y(lISOP)
     &                      +(-0.154)*rk(150)    *y(lISPD)
     &                      +(-0.070)*rk(155)    *y(lTERP)
          JAC(lHO2 ,lNO3 )= +(-1.000)*rk( 47)    *y(lOH)
     &                      +( 1.000)*rk( 48)    *y(lHO2)
     &                      +(-1.000)*rk( 78)    *y(lFORM)
     &                      +(-1.000)*rk(130)    *y(lIOLE)
     &                      +(-0.800)*rk(147)    *y(lISOP)
     &                      +(-0.925)*rk(151)    *y(lISPD)
     &                      +(-0.280)*rk(156)    *y(lTERP)
          JAC(lHO2 ,lO1D )= +(-1.000)*rk( 38)*flg*H2
          JAC(lHO2 ,lOH  )= +(-1.000)*rk( 12)    *y(lO3)
     &                      +(-1.000)*rk( 37)    *y(lH2O2)
     &                      +(-1.000)*rk( 39)*flg*H2
     &                      +(-1.000)*rk( 40)    *y(lO)
     &                      +( 1.000)*rk( 43)    *y(lHO2)
     &                      +(-1.000)*rk( 47)    *y(lNO3)
     &                      +(-1.000)*rk( 61)    *y(lNTR)
     &                      +(-1.000)*rk( 63)    *y(lSO2)
     &                      +(-1.000)*rk( 66)    *y(lCO)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-0.300)*rk( 71)    *y(lMEPX)
     &                      +(-1.000)*rk( 73)    *y(lMEOH)
     &                      +(-1.000)*rk( 74)    *y(lFORM)
     &                      +(-1.000)*rk( 83)    *y(lFACD)
     &                      +(-1.000)*rk(113)    *y(lETHA)
     &                      +(-1.000)*rk(114)    *y(lETOH)
     &                      +(-0.110)*rk(115)    *y(lPAR)
     &                      +(-0.950)*rk(120)    *y(lOLE)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-1.000)*rk(124)    *y(lETH)
     &                      +(-1.000)*rk(128)    *y(lIOLE)
     &                      +(-0.440)*rk(131)    *y(lTOL)
     &                      +(-0.600)*rk(134)    *y(lCRES)
     &                      +(-2.000)*rk(139)    *y(lOPEN)
     &                      +(-0.700)*rk(141)    *y(lXYL)
     &                      +(-0.912)*rk(145)    *y(lISOP)
     &                      +(-0.503)*rk(149)    *y(lISPD)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-0.750)*rk(154)    *y(lTERP)
          JAC(lHO2 ,lHO2 )= +( 1.000)*rk( 13)    *y(lO3)
     &                      +( 1.000)*rk( 30)    *y(lNO)
     &                      +( 1.000)*rk( 31)    *y(lNO2)
     &                      +( 4.000)*rk( 34)    *y(lHO2)
     &                      +( 4.000)*rk( 35)    *y(lHO2)*H2O
     &                      +( 1.000)*rk( 43)    *y(lOH)
     &                      +( 1.000)*rk( 44)    *y(lO)
     &                      +( 1.000)*rk( 48)    *y(lNO3)
     &                      +( 1.000)*rk( 56)    *y(lXO2)
          JAC(lHO2 ,lHO2 )=JAC(lHO2 ,lHO2 )
     &                      +( 1.000)*rk( 57)    *y(lXO2N)
     &                      +( 1.000)*rk( 69)    *y(lMEO2)
     &                      +( 1.000)*rk( 79)    *y(lFORM)
     &                      +( 1.000)*rk( 82)    *y(lHCO3)
     &                      +( 1.000)*rk( 92)    *y(lC2O3)
     &                      +( 1.000)*rk(108)    *y(lCXO3)
     &                      +( 1.000)*rk(137)    *y(lCRO)
          JAC(lHO2 ,lPNA )= +(-1.000)*rk( 32)*flg
     &                      +(-0.610)*rk( 51)*flg
          JAC(lHO2 ,lH2O2)= +(-1.000)*rk( 37)    *y(lOH)
     &                      +(-1.000)*rk( 45)    *y(lO)
          JAC(lHO2 ,lXO2 )= +( 1.000)*rk( 56)    *y(lHO2)
          JAC(lHO2 ,lXO2N)= +( 1.000)*rk( 57)    *y(lHO2)
          JAC(lHO2 ,lNTR )= +(-1.000)*rk( 61)    *y(lOH)
     &                      +(-1.000)*rk( 62)*flg
          JAC(lHO2 ,lROOH)= +(-1.000)*rk( 65)*flg
          JAC(lHO2 ,lFORM)= +(-1.000)*rk( 74)    *y(lOH)
     &                      +(-2.000)*rk( 75)*flg
     &                      +(-1.000)*rk( 77)    *y(lO)
     &                      +(-1.000)*rk( 78)    *y(lNO3)
     &                      +( 1.000)*rk( 79)    *y(lHO2)
          JAC(lHO2 ,lALD2)= +(-1.000)*rk( 87)*flg
          JAC(lHO2 ,lALDX)= +(-1.000)*rk(102)*flg
          JAC(lHO2 ,lPAR )= +(-0.110)*rk(115)    *y(lOH)
          JAC(lHO2 ,lSO2 )= +(-1.000)*rk( 63)    *y(lOH)
          JAC(lHO2 ,lCO  )= +(-1.000)*rk( 66)    *y(lOH)
          JAC(lHO2 ,lMEO2)= +(-1.000)*rk( 68)    *y(lNO)
     &                      +( 1.000)*rk( 69)    *y(lHO2)
     &                      +(-1.480)*rk( 70)    *y(lMEO2)
     &                      +(-0.900)*rk( 93)    *y(lC2O3)
     &                      +(-1.000)*rk(109)    *y(lCXO3)
          JAC(lHO2 ,lMEPX)= +(-0.300)*rk( 71)    *y(lOH)
     &                      +(-1.000)*rk( 72)*flg
          JAC(lHO2 ,lMEOH)= +(-1.000)*rk( 73)    *y(lOH)
          JAC(lHO2 ,lHCO3)= +(-1.000)*rk( 80)*flg
     &                      +(-1.000)*rk( 81)    *y(lNO)
     &                      +( 1.000)*rk( 82)    *y(lHO2)
          JAC(lHO2 ,lFACD)= +(-1.000)*rk( 83)    *y(lOH)
          JAC(lHO2 ,lC2O3)= +( 1.000)*rk( 92)    *y(lHO2)
     &                      +(-0.900)*rk( 93)    *y(lMEO2)
     &                      +(-1.000)*rk(112)    *y(lCXO3)
          JAC(lHO2 ,lCXO3)= +(-1.000)*rk(103)    *y(lNO)
     &                      +( 1.000)*rk(108)    *y(lHO2)
     &                      +(-1.000)*rk(109)    *y(lMEO2)
     &                      +(-4.000)*rk(111)    *y(lCXO3)
     &                      +(-1.000)*rk(112)    *y(lC2O3)
          JAC(lHO2 ,lETHA)= +(-1.000)*rk(113)    *y(lOH)
          JAC(lHO2 ,lETOH)= +(-1.000)*rk(114)    *y(lOH)
          JAC(lHO2 ,lROR )= +(-0.940)*rk(116)*flg
     &                      +(-1.000)*rk(117)*flg
          JAC(lHO2 ,lOLE )= +(-0.300)*rk(119)    *y(lO)
     &                      +(-0.950)*rk(120)    *y(lOH)
     &                      +(-0.440)*rk(121)    *y(lO3)
          JAC(lHO2 ,lETH )= +(-1.700)*rk(123)    *y(lO)
     &                      +(-1.000)*rk(124)    *y(lOH)
     &                      +(-0.130)*rk(125)    *y(lO3)
          JAC(lHO2 ,lIOLE)= +(-0.100)*rk(127)    *y(lO)
     &                      +(-1.000)*rk(128)    *y(lOH)
     &                      +(-0.500)*rk(129)    *y(lO3)
     &                      +(-1.000)*rk(130)    *y(lNO3)
          JAC(lHO2 ,lTOL )= +(-0.440)*rk(131)    *y(lOH)
          JAC(lHO2 ,lCRES)= +(-0.600)*rk(134)    *y(lOH)
          JAC(lHO2 ,lTO2 )= +(-0.900)*rk(132)    *y(lNO)
     &                      +(-1.000)*rk(133)*flg
          JAC(lHO2 ,lOPEN)= +(-1.000)*rk(138)*flg
     &                      +(-2.000)*rk(139)    *y(lOH)
     &                      +(-0.760)*rk(140)    *y(lO3)
          JAC(lHO2 ,lCRO )= +( 1.000)*rk(137)    *y(lHO2)
          JAC(lHO2 ,lMGLY)= +(-1.000)*rk(143)*flg
          JAC(lHO2 ,lXYL )= +(-0.700)*rk(141)    *y(lOH)
          JAC(lHO2 ,lISOP)= +(-0.250)*rk(144)    *y(lO)
     &                      +(-0.912)*rk(145)    *y(lOH)
     &                      +(-0.066)*rk(146)    *y(lO3)
     &                      +(-0.800)*rk(147)    *y(lNO3)
     &                      +(-0.800)*rk(148)    *y(lNO2)
          JAC(lHO2 ,lISPD)= +(-0.503)*rk(149)    *y(lOH)
     &                      +(-0.154)*rk(150)    *y(lO3)
     &                      +(-0.925)*rk(151)    *y(lNO3)
     &                      +(-1.033)*rk(152)*flg
          JAC(lHO2 ,lTERP)= +(-0.750)*rk(154)    *y(lOH)
     &                      +(-0.070)*rk(155)    *y(lO3)
     &                      +(-0.280)*rk(156)    *y(lNO3)
          JAC(lN2O5,lNO2 )= +(-1.000)*rk( 18)    *y(lNO3)
          JAC(lN2O5,lNO3 )= +(-1.000)*rk( 18)    *y(lNO2)
          JAC(lN2O5,lN2O5)= +( 1.000)*rk( 19)*flg*H2O
     &                      +( 1.000)*rk( 20)*flg*H2O*H2O
     &                      +( 1.000)*rk( 21)*flg
     &                      +( 1.000)*rk( 53)*flg
          JAC(lHNO3,lNO2 )= +(-1.000)*rk( 28)    *y(lOH)
          JAC(lHNO3,lNO3 )= +(-1.000)*rk( 48)    *y(lHO2)
     &                      +(-1.000)*rk( 78)    *y(lFORM)
     &                      +(-1.000)*rk( 86)    *y(lALD2)
     &                      +(-1.000)*rk(101)    *y(lALDX)
     &                      +(-1.000)*rk(135)    *y(lCRES)
     &                      +(-0.150)*rk(151)    *y(lISPD)
          JAC(lHNO3,lOH  )= +(-1.000)*rk( 28)    *y(lNO2)
     &                      +( 1.000)*rk( 29)    *y(lHNO3)
     &                      +(-1.000)*rk( 61)    *y(lNTR)
          JAC(lHNO3,lHO2 )= +(-1.000)*rk( 48)    *y(lNO3)
          JAC(lHNO3,lN2O5)= +(-2.000)*rk( 19)*flg*H2O
     &                      +(-2.000)*rk( 20)*flg*H2O*H2O
          JAC(lHNO3,lHNO3)= +( 1.000)*rk( 29)    *y(lOH)
     &                      +( 1.000)*rk( 52)*flg
          JAC(lHNO3,lNTR )= +(-1.000)*rk( 61)    *y(lOH)
          JAC(lHNO3,lFORM)= +(-1.000)*rk( 78)    *y(lNO3)
          JAC(lHNO3,lALD2)= +(-1.000)*rk( 86)    *y(lNO3)
          JAC(lHNO3,lALDX)= +(-1.000)*rk(101)    *y(lNO3)
          JAC(lHNO3,lCRES)= +(-1.000)*rk(135)    *y(lNO3)
          JAC(lHNO3,lISPD)= +(-0.150)*rk(151)    *y(lNO3)
          JAC(lHONO,lNO2 )= +(-2.000)*rk( 23)    *y(lNO)*H2O
          JAC(lHONO,lNO  )= +(-2.000)*rk( 23)    *y(lNO2)*H2O
     &                      +(-1.000)*rk( 24)    *y(lOH)
          JAC(lHONO,lOH  )= +(-1.000)*rk( 24)    *y(lNO)
     &                      +( 1.000)*rk( 26)    *y(lHONO)
          JAC(lHONO,lHONO)= +( 1.000)*rk( 25)*flg
     &                      +( 1.000)*rk( 26)    *y(lOH)
     &                      +( 4.000)*rk( 27)    *y(lHONO)
          JAC(lPNA ,lNO2 )= +(-1.000)*rk( 31)    *y(lHO2)
          JAC(lPNA ,lOH  )= +( 1.000)*rk( 33)    *y(lPNA)
          JAC(lPNA ,lHO2 )= +(-1.000)*rk( 31)    *y(lNO2)
          JAC(lPNA ,lPNA )= +( 1.000)*rk( 32)*flg
     &                      +( 1.000)*rk( 33)    *y(lOH)
     &                      +( 1.000)*rk( 51)*flg
          JAC(lH2O2,lO   )= +( 1.000)*rk( 45)    *y(lH2O2)
          JAC(lH2O2,lOH  )= +( 1.000)*rk( 37)    *y(lH2O2)
     &                      +(-2.000)*rk( 42)    *y(lOH)
          JAC(lH2O2,lHO2 )= +(-2.000)*rk( 34)    *y(lHO2)
     &                      +(-2.000)*rk( 35)    *y(lHO2)*H2O
          JAC(lH2O2,lH2O2)= +( 1.000)*rk( 36)*flg
     &                      +( 1.000)*rk( 37)    *y(lOH)
     &                      +( 1.000)*rk( 45)    *y(lO)
          JAC(lXO2 ,lNO2 )= +(-1.000)*rk(148)    *y(lISOP)
          JAC(lXO2 ,lNO  )= +( 1.000)*rk( 54)    *y(lXO2)
     &                      +(-1.000)*rk(103)    *y(lCXO3)
          JAC(lXO2 ,lO   )= +(-0.200)*rk(119)    *y(lOLE)
     &                      +(-0.700)*rk(123)    *y(lETH)
     &                      +(-0.100)*rk(127)    *y(lIOLE)
     &                      +(-0.250)*rk(144)    *y(lISOP)
          JAC(lXO2 ,lO3  )= +(-0.220)*rk(121)    *y(lOLE)
     &                      +(-0.030)*rk(140)    *y(lOPEN)
     &                      +(-0.200)*rk(146)    *y(lISOP)
     &                      +(-0.064)*rk(150)    *y(lISPD)
     &                      +(-0.760)*rk(155)    *y(lTERP)
          JAC(lXO2 ,lNO3 )= +(-0.910)*rk(122)    *y(lOLE)
     &                      +(-1.000)*rk(126)    *y(lETH)
     &                      +(-1.000)*rk(147)    *y(lISOP)
     &                      +(-0.075)*rk(151)    *y(lISPD)
     &                      +(-1.030)*rk(156)    *y(lTERP)
          JAC(lXO2 ,lOH  )= +(-1.000)*rk( 64)    *y(lROOH)
     &                      +(-0.300)*rk( 71)    *y(lMEPX)
     &                      +(-0.991)*rk(113)    *y(lETHA)
     &                      +(-0.100)*rk(114)    *y(lETOH)
     &                      +(-0.870)*rk(115)    *y(lPAR)
     &                      +(-0.800)*rk(120)    *y(lOLE)
     &                      +(-1.000)*rk(124)    *y(lETH)
     &                      +(-1.000)*rk(128)    *y(lIOLE)
     &                      +(-0.080)*rk(131)    *y(lTOL)
          JAC(lXO2 ,lOH  )=JAC(lXO2 ,lOH  )
     &                      +(-0.600)*rk(134)    *y(lCRES)
     &                      +(-1.000)*rk(139)    *y(lOPEN)
     &                      +(-0.500)*rk(141)    *y(lXYL)
     &                      +(-1.000)*rk(142)    *y(lMGLY)
     &                      +(-0.991)*rk(145)    *y(lISOP)
     &                      +(-0.713)*rk(149)    *y(lISPD)
     &                      +(-1.250)*rk(154)    *y(lTERP)
          JAC(lXO2 ,lHO2 )= +( 1.000)*rk( 56)    *y(lXO2)
          JAC(lXO2 ,lXO2 )= +( 1.000)*rk( 54)    *y(lNO)
     &                      +( 1.000)*rk( 56)    *y(lHO2)
     &                      +( 4.000)*rk( 58)    *y(lXO2)
     &                      +( 1.000)*rk( 60)    *y(lXO2N)
     &                      +( 1.000)*rk( 94)    *y(lC2O3)
     &                      +( 1.000)*rk(110)    *y(lCXO3)
          JAC(lXO2 ,lXO2N)= +( 1.000)*rk( 60)    *y(lXO2)
          JAC(lXO2 ,lROOH)= +(-1.000)*rk( 64)    *y(lOH)
          JAC(lXO2 ,lPAR )= +(-0.870)*rk(115)    *y(lOH)
          JAC(lXO2 ,lMEO2)= +(-0.900)*rk(109)    *y(lCXO3)
          JAC(lXO2 ,lMEPX)= +(-0.300)*rk( 71)    *y(lOH)
          JAC(lXO2 ,lC2O3)= +( 1.000)*rk( 94)    *y(lXO2)
     &                      +(-1.000)*rk(112)    *y(lCXO3)
          JAC(lXO2 ,lCXO3)= +(-1.000)*rk(103)    *y(lNO)
     &                      +(-0.900)*rk(109)    *y(lMEO2)
     &                      +( 1.000)*rk(110)    *y(lXO2)
     &                      +(-4.000)*rk(111)    *y(lCXO3)
     &                      +(-1.000)*rk(112)    *y(lC2O3)
          JAC(lXO2 ,lETHA)= +(-0.991)*rk(113)    *y(lOH)
          JAC(lXO2 ,lETOH)= +(-0.100)*rk(114)    *y(lOH)
          JAC(lXO2 ,lROR )= +(-0.960)*rk(116)*flg
          JAC(lXO2 ,lOLE )= +(-0.200)*rk(119)    *y(lO)
     &                      +(-0.800)*rk(120)    *y(lOH)
     &                      +(-0.220)*rk(121)    *y(lO3)
     &                      +(-0.910)*rk(122)    *y(lNO3)
          JAC(lXO2 ,lETH )= +(-0.700)*rk(123)    *y(lO)
     &                      +(-1.000)*rk(124)    *y(lOH)
     &                      +(-1.000)*rk(126)    *y(lNO3)
          JAC(lXO2 ,lIOLE)= +(-0.100)*rk(127)    *y(lO)
     &                      +(-1.000)*rk(128)    *y(lOH)
          JAC(lXO2 ,lTOL )= +(-0.080)*rk(131)    *y(lOH)
          JAC(lXO2 ,lCRES)= +(-0.600)*rk(134)    *y(lOH)
          JAC(lXO2 ,lOPEN)= +(-1.000)*rk(139)    *y(lOH)
     &                      +(-0.030)*rk(140)    *y(lO3)
          JAC(lXO2 ,lMGLY)= +(-1.000)*rk(142)    *y(lOH)
          JAC(lXO2 ,lXYL )= +(-0.500)*rk(141)    *y(lOH)
          JAC(lXO2 ,lISOP)= +(-0.250)*rk(144)    *y(lO)
     &                      +(-0.991)*rk(145)    *y(lOH)
     &                      +(-0.200)*rk(146)    *y(lO3)
     &                      +(-1.000)*rk(147)    *y(lNO3)
     &                      +(-1.000)*rk(148)    *y(lNO2)
          JAC(lXO2 ,lISPD)= +(-0.713)*rk(149)    *y(lOH)
     &                      +(-0.064)*rk(150)    *y(lO3)
     &                      +(-0.075)*rk(151)    *y(lNO3)
     &                      +(-0.700)*rk(152)*flg
          JAC(lXO2 ,lTERP)= +(-1.250)*rk(154)    *y(lOH)
     &                      +(-0.760)*rk(155)    *y(lO3)
     &                      +(-1.030)*rk(156)    *y(lNO3)
          JAC(lXO2N,lNO  )= +( 1.000)*rk( 55)    *y(lXO2N)
          JAC(lXO2N,lO   )= +(-0.010)*rk(119)    *y(lOLE)
          JAC(lXO2N,lO3  )= +(-0.180)*rk(155)    *y(lTERP)
          JAC(lXO2N,lNO3 )= +(-0.090)*rk(122)    *y(lOLE)
     &                      +(-0.250)*rk(156)    *y(lTERP)
          JAC(lXO2N,lOH  )= +(-0.009)*rk(113)    *y(lETHA)
     &                      +(-0.130)*rk(115)    *y(lPAR)
     &                      +(-0.088)*rk(145)    *y(lISOP)
     &                      +(-0.250)*rk(154)    *y(lTERP)
          JAC(lXO2N,lHO2 )= +( 1.000)*rk( 57)    *y(lXO2N)
          JAC(lXO2N,lXO2 )= +( 1.000)*rk( 60)    *y(lXO2N)
          JAC(lXO2N,lXO2N)= +( 1.000)*rk( 55)    *y(lNO)
     &                      +( 1.000)*rk( 57)    *y(lHO2)
     &                      +( 4.000)*rk( 59)    *y(lXO2N)
     &                      +( 1.000)*rk( 60)    *y(lXO2)
          JAC(lXO2N,lPAR )= +(-0.130)*rk(115)    *y(lOH)
          JAC(lXO2N,lETHA)= +(-0.009)*rk(113)    *y(lOH)
          JAC(lXO2N,lROR )= +(-0.040)*rk(116)*flg
          JAC(lXO2N,lOLE )= +(-0.010)*rk(119)    *y(lO)
     &                      +(-0.090)*rk(122)    *y(lNO3)
          JAC(lXO2N,lISOP)= +(-0.088)*rk(145)    *y(lOH)
          JAC(lXO2N,lTERP)= +(-0.250)*rk(154)    *y(lOH)
     &                      +(-0.180)*rk(155)    *y(lO3)
     &                      +(-0.250)*rk(156)    *y(lNO3)
          JAC(lNTR ,lNO2 )= +(-1.000)*rk(118)    *y(lROR)
     &                      +(-1.000)*rk(136)    *y(lCRO)
     &                      +(-0.800)*rk(148)    *y(lISOP)
          JAC(lNTR ,lNO  )= +(-1.000)*rk( 55)    *y(lXO2N)
     &                      +(-0.100)*rk(132)    *y(lTO2)
          JAC(lNTR ,lNO3 )= +(-0.800)*rk(147)    *y(lISOP)
     &                      +(-0.850)*rk(151)    *y(lISPD)
     &                      +(-0.530)*rk(156)    *y(lTERP)
          JAC(lNTR ,lOH  )= +( 1.000)*rk( 61)    *y(lNTR)
          JAC(lNTR ,lXO2N)= +(-1.000)*rk( 55)    *y(lNO)
          JAC(lNTR ,lNTR )= +( 1.000)*rk( 61)    *y(lOH)
     &                      +( 1.000)*rk( 62)*flg
          JAC(lNTR ,lROR )= +(-1.000)*rk(118)    *y(lNO2)
          JAC(lNTR ,lTO2 )= +(-0.100)*rk(132)    *y(lNO)
          JAC(lNTR ,lCRO )= +(-1.000)*rk(136)    *y(lNO2)
          JAC(lNTR ,lISOP)= +(-0.800)*rk(147)    *y(lNO3)
     &                      +(-0.800)*rk(148)    *y(lNO2)
          JAC(lNTR ,lISPD)= +(-0.850)*rk(151)    *y(lNO3)
          JAC(lNTR ,lTERP)= +(-0.530)*rk(156)    *y(lNO3)
          JAC(lROOH,lOH  )= +( 1.000)*rk( 64)    *y(lROOH)
          JAC(lROOH,lHO2 )= +(-1.000)*rk( 56)    *y(lXO2)
     &                      +(-1.000)*rk( 57)    *y(lXO2N)
          JAC(lROOH,lXO2 )= +(-1.000)*rk( 56)    *y(lHO2)
          JAC(lROOH,lXO2N)= +(-1.000)*rk( 57)    *y(lHO2)
          JAC(lROOH,lROOH)= +( 1.000)*rk( 64)    *y(lOH)
     &                      +( 1.000)*rk( 65)*flg
          JAC(lFORM,lNO  )= +(-1.000)*rk( 68)    *y(lMEO2)
          JAC(lFORM,lO   )= +( 1.000)*rk( 77)    *y(lFORM)
     &                      +(-0.200)*rk(119)    *y(lOLE)
     &                      +(-1.000)*rk(123)    *y(lETH)
     &                      +(-0.500)*rk(144)    *y(lISOP)
          JAC(lFORM,lO3  )= +(-0.740)*rk(121)    *y(lOLE)
     &                      +(-1.000)*rk(125)    *y(lETH)
     &                      +(-0.250)*rk(129)    *y(lIOLE)
     &                      +(-0.700)*rk(140)    *y(lOPEN)
     &                      +(-0.600)*rk(146)    *y(lISOP)
     &                      +(-0.150)*rk(150)    *y(lISPD)
     &                      +(-0.240)*rk(155)    *y(lTERP)
          JAC(lFORM,lNO3 )= +( 1.000)*rk( 78)    *y(lFORM)
     &                      +(-1.000)*rk(122)    *y(lOLE)
     &                      +(-2.000)*rk(126)    *y(lETH)
     &                      +(-0.282)*rk(151)    *y(lISPD)
          JAC(lFORM,lOH  )= +(-0.330)*rk( 61)    *y(lNTR)
     &                      +(-1.000)*rk( 73)    *y(lMEOH)
     &                      +( 1.000)*rk( 74)    *y(lFORM)
     &                      +(-0.100)*rk(114)    *y(lETOH)
     &                      +(-0.800)*rk(120)    *y(lOLE)
     &                      +(-1.560)*rk(124)    *y(lETH)
     &                      +(-1.000)*rk(139)    *y(lOPEN)
     &                      +(-0.629)*rk(145)    *y(lISOP)
     &                      +(-0.167)*rk(149)    *y(lISPD)
          JAC(lFORM,lOH  )=JAC(lFORM,lOH  )
     &                      +(-0.280)*rk(154)    *y(lTERP)
          JAC(lFORM,lHO2 )= +( 1.000)*rk( 79)    *y(lFORM)
          JAC(lFORM,lNTR )= +(-0.330)*rk( 61)    *y(lOH)
     &                      +(-0.330)*rk( 62)*flg
          JAC(lFORM,lFORM)= +( 1.000)*rk( 74)    *y(lOH)
     &                      +( 1.000)*rk( 75)*flg
     &                      +( 1.000)*rk( 76)*flg
     &                      +( 1.000)*rk( 77)    *y(lO)
     &                      +( 1.000)*rk( 78)    *y(lNO3)
     &                      +( 1.000)*rk( 79)    *y(lHO2)
          JAC(lFORM,lMEO2)= +(-1.000)*rk( 68)    *y(lNO)
     &                      +(-2.740)*rk( 70)    *y(lMEO2)
     &                      +(-1.000)*rk( 93)    *y(lC2O3)
     &                      +(-0.100)*rk(109)    *y(lCXO3)
          JAC(lFORM,lMEPX)= +(-1.000)*rk( 72)*flg
          JAC(lFORM,lMEOH)= +(-1.000)*rk( 73)    *y(lOH)
          JAC(lFORM,lHCO3)= +(-1.000)*rk( 80)*flg
          JAC(lFORM,lC2O3)= +(-1.000)*rk( 93)    *y(lMEO2)
          JAC(lFORM,lCXO3)= +(-0.100)*rk(109)    *y(lMEO2)
          JAC(lFORM,lETOH)= +(-0.100)*rk(114)    *y(lOH)
          JAC(lFORM,lOLE )= +(-0.200)*rk(119)    *y(lO)
     &                      +(-0.800)*rk(120)    *y(lOH)
     &                      +(-0.740)*rk(121)    *y(lO3)
     &                      +(-1.000)*rk(122)    *y(lNO3)
          JAC(lFORM,lETH )= +(-1.000)*rk(123)    *y(lO)
     &                      +(-1.560)*rk(124)    *y(lOH)
     &                      +(-1.000)*rk(125)    *y(lO3)
     &                      +(-2.000)*rk(126)    *y(lNO3)
          JAC(lFORM,lIOLE)= +(-0.250)*rk(129)    *y(lO3)
          JAC(lFORM,lOPEN)= +(-1.000)*rk(139)    *y(lOH)
     &                      +(-0.700)*rk(140)    *y(lO3)
          JAC(lFORM,lISOP)= +(-0.500)*rk(144)    *y(lO)
     &                      +(-0.629)*rk(145)    *y(lOH)
     &                      +(-0.600)*rk(146)    *y(lO3)
          JAC(lFORM,lISPD)= +(-0.167)*rk(149)    *y(lOH)
     &                      +(-0.150)*rk(150)    *y(lO3)
     &                      +(-0.282)*rk(151)    *y(lNO3)
     &                      +(-0.900)*rk(152)*flg
          JAC(lFORM,lTERP)= +(-0.280)*rk(154)    *y(lOH)
     &                      +(-0.240)*rk(155)    *y(lO3)
          JAC(lALD2,lNO  )= +(-1.000)*rk(103)    *y(lCXO3)
          JAC(lALD2,lO   )= +( 1.000)*rk( 84)    *y(lALD2)
     &                      +(-0.200)*rk(119)    *y(lOLE)
     &                      +(-1.240)*rk(127)    *y(lIOLE)
          JAC(lALD2,lO3  )= +(-0.180)*rk(121)    *y(lOLE)
     &                      +(-0.650)*rk(129)    *y(lIOLE)
     &                      +(-0.020)*rk(150)    *y(lISPD)
          JAC(lALD2,lNO3 )= +( 1.000)*rk( 86)    *y(lALD2)
     &                      +(-0.350)*rk(122)    *y(lOLE)
     &                      +(-1.180)*rk(130)    *y(lIOLE)
          JAC(lALD2,lOH  )= +(-0.330)*rk( 61)    *y(lNTR)
     &                      +(-0.500)*rk( 64)    *y(lROOH)
     &                      +( 1.000)*rk( 85)    *y(lALD2)
     &                      +(-1.000)*rk(107)    *y(lPANX)
     &                      +(-0.991)*rk(113)    *y(lETHA)
     &                      +(-0.900)*rk(114)    *y(lETOH)
     &                      +(-0.060)*rk(115)    *y(lPAR)
     &                      +(-0.330)*rk(120)    *y(lOLE)
     &                      +(-1.300)*rk(128)    *y(lIOLE)
          JAC(lALD2,lOH  )=JAC(lALD2,lOH  )
     &                      +(-0.252)*rk(149)    *y(lISPD)
          JAC(lALD2,lXO2 )= +(-0.900)*rk(110)    *y(lCXO3)
          JAC(lALD2,lNTR )= +(-0.330)*rk( 61)    *y(lOH)
     &                      +(-0.330)*rk( 62)*flg
          JAC(lALD2,lROOH)= +(-0.500)*rk( 64)    *y(lOH)
     &                      +(-0.500)*rk( 65)*flg
          JAC(lALD2,lALD2)= +( 1.000)*rk( 84)    *y(lO)
     &                      +( 1.000)*rk( 85)    *y(lOH)
     &                      +( 1.000)*rk( 86)    *y(lNO3)
     &                      +( 1.000)*rk( 87)*flg
          JAC(lALD2,lPAR )= +(-0.060)*rk(115)    *y(lOH)
          JAC(lALD2,lMEO2)= +(-0.900)*rk(109)    *y(lCXO3)
          JAC(lALD2,lC2O3)= +(-1.000)*rk(112)    *y(lCXO3)
          JAC(lALD2,lCXO3)= +(-1.000)*rk(103)    *y(lNO)
     &                      +(-0.900)*rk(109)    *y(lMEO2)
     &                      +(-0.900)*rk(110)    *y(lXO2)
     &                      +(-4.000)*rk(111)    *y(lCXO3)
     &                      +(-1.000)*rk(112)    *y(lC2O3)
          JAC(lALD2,lPANX)= +(-1.000)*rk(107)    *y(lOH)
          JAC(lALD2,lETHA)= +(-0.991)*rk(113)    *y(lOH)
          JAC(lALD2,lETOH)= +(-0.900)*rk(114)    *y(lOH)
          JAC(lALD2,lROR )= +(-0.600)*rk(116)*flg
          JAC(lALD2,lOLE )= +(-0.200)*rk(119)    *y(lO)
     &                      +(-0.330)*rk(120)    *y(lOH)
     &                      +(-0.180)*rk(121)    *y(lO3)
     &                      +(-0.350)*rk(122)    *y(lNO3)
          JAC(lALD2,lIOLE)= +(-1.240)*rk(127)    *y(lO)
     &                      +(-1.300)*rk(128)    *y(lOH)
     &                      +(-0.650)*rk(129)    *y(lO3)
     &                      +(-1.180)*rk(130)    *y(lNO3)
          JAC(lALD2,lISPD)= +(-0.252)*rk(149)    *y(lOH)
     &                      +(-0.020)*rk(150)    *y(lO3)
     &                      +(-0.067)*rk(152)*flg
          JAC(lALDX,lNO2 )= +(-0.800)*rk(148)    *y(lISOP)
          JAC(lALDX,lO   )= +( 1.000)*rk( 99)    *y(lALDX)
     &                      +(-0.300)*rk(119)    *y(lOLE)
     &                      +(-0.660)*rk(127)    *y(lIOLE)
     &                      +(-0.150)*rk(153)    *y(lTERP)
          JAC(lALDX,lO3  )= +(-0.320)*rk(121)    *y(lOLE)
     &                      +(-0.350)*rk(129)    *y(lIOLE)
     &                      +(-0.030)*rk(140)    *y(lOPEN)
     &                      +(-0.150)*rk(146)    *y(lISOP)
     &                      +(-0.210)*rk(155)    *y(lTERP)
          JAC(lALDX,lNO3 )= +( 1.000)*rk(101)    *y(lALDX)
     &                      +(-0.560)*rk(122)    *y(lOLE)
     &                      +(-0.640)*rk(130)    *y(lIOLE)
     &                      +(-0.800)*rk(147)    *y(lISOP)
     &                      +(-0.357)*rk(151)    *y(lISPD)
     &                      +(-0.470)*rk(156)    *y(lTERP)
          JAC(lALDX,lOH  )= +(-0.330)*rk( 61)    *y(lNTR)
     &                      +(-0.500)*rk( 64)    *y(lROOH)
     &                      +( 1.000)*rk(100)    *y(lALDX)
     &                      +(-0.050)*rk(114)    *y(lETOH)
     &                      +(-0.050)*rk(115)    *y(lPAR)
     &                      +(-0.620)*rk(120)    *y(lOLE)
     &                      +(-0.220)*rk(124)    *y(lETH)
     &                      +(-0.700)*rk(128)    *y(lIOLE)
     &                      +(-0.120)*rk(149)    *y(lISPD)
          JAC(lALDX,lOH  )=JAC(lALDX,lOH  )
     &                      +(-0.470)*rk(154)    *y(lTERP)
          JAC(lALDX,lNTR )= +(-0.330)*rk( 61)    *y(lOH)
     &                      +(-0.330)*rk( 62)*flg
          JAC(lALDX,lROOH)= +(-0.500)*rk( 64)    *y(lOH)
     &                      +(-0.500)*rk( 65)*flg
          JAC(lALDX,lALDX)= +( 1.000)*rk( 99)    *y(lO)
     &                      +( 1.000)*rk(100)    *y(lOH)
     &                      +( 1.000)*rk(101)    *y(lNO3)
     &                      +( 1.000)*rk(102)*flg
          JAC(lALDX,lPAR )= +(-0.050)*rk(115)    *y(lOH)
          JAC(lALDX,lETOH)= +(-0.050)*rk(114)    *y(lOH)
          JAC(lALDX,lROR )= +(-0.500)*rk(116)*flg
          JAC(lALDX,lOLE )= +(-0.300)*rk(119)    *y(lO)
     &                      +(-0.620)*rk(120)    *y(lOH)
     &                      +(-0.320)*rk(121)    *y(lO3)
     &                      +(-0.560)*rk(122)    *y(lNO3)
          JAC(lALDX,lETH )= +(-0.220)*rk(124)    *y(lOH)
          JAC(lALDX,lIOLE)= +(-0.660)*rk(127)    *y(lO)
     &                      +(-0.700)*rk(128)    *y(lOH)
     &                      +(-0.350)*rk(129)    *y(lO3)
     &                      +(-0.640)*rk(130)    *y(lNO3)
          JAC(lALDX,lOPEN)= +(-0.030)*rk(140)    *y(lO3)
          JAC(lALDX,lISOP)= +(-0.150)*rk(146)    *y(lO3)
     &                      +(-0.800)*rk(147)    *y(lNO3)
     &                      +(-0.800)*rk(148)    *y(lNO2)
          JAC(lALDX,lISPD)= +(-0.120)*rk(149)    *y(lOH)
     &                      +(-0.357)*rk(151)    *y(lNO3)
          JAC(lALDX,lTERP)= +(-0.150)*rk(153)    *y(lO)
     &                      +(-0.470)*rk(154)    *y(lOH)
     &                      +(-0.210)*rk(155)    *y(lO3)
     &                      +(-0.470)*rk(156)    *y(lNO3)
          JAC(lPAR ,lNO2 )= +(-2.400)*rk(148)    *y(lISOP)
          JAC(lPAR ,lO   )= +(-0.200)*rk(119)    *y(lOLE)
     &                      +(-0.100)*rk(127)    *y(lIOLE)
     &                      +(-0.250)*rk(144)    *y(lISOP)
     &                      +(-5.120)*rk(153)    *y(lTERP)
          JAC(lPAR ,lO3  )= +( 1.000)*rk(121)    *y(lOLE)
     &                      +(-0.350)*rk(146)    *y(lISOP)
     &                      +(-0.360)*rk(150)    *y(lISPD)
     &                      +(-7.000)*rk(155)    *y(lTERP)
          JAC(lPAR ,lNO3 )= +( 1.000)*rk(122)    *y(lOLE)
     &                      +(-2.400)*rk(147)    *y(lISOP)
     &                      +(-1.282)*rk(151)    *y(lISPD)
          JAC(lPAR ,lOH  )= +( 0.660)*rk( 61)    *y(lNTR)
     &                      +( 1.000)*rk(115)    *y(lPAR)
     &                      +( 0.110)*rk(115)    *y(lPAR)
     &                      +( 0.700)*rk(120)    *y(lOLE)
     &                      +(-1.100)*rk(141)    *y(lXYL)
     &                      +(-1.565)*rk(149)    *y(lISPD)
     &                      +(-1.660)*rk(154)    *y(lTERP)
          JAC(lPAR ,lNTR )= +( 0.660)*rk( 61)    *y(lOH)
     &                      +( 0.660)*rk( 62)*flg
          JAC(lPAR ,lPAR )= +( 1.000)*rk(115)    *y(lOH)
     &                      +( 0.110)*rk(115)    *y(lOH)
          JAC(lPAR ,lROR )= +( 2.100)*rk(116)*flg
          JAC(lPAR ,lOLE )= +(-0.200)*rk(119)    *y(lO)
     &                      +( 0.700)*rk(120)    *y(lOH)
     &                      +( 1.000)*rk(121)    *y(lO3)
     &                      +( 1.000)*rk(122)    *y(lNO3)
          JAC(lPAR ,lIOLE)= +(-0.100)*rk(127)    *y(lO)
          JAC(lPAR ,lXYL )= +(-1.100)*rk(141)    *y(lOH)
          JAC(lPAR ,lISOP)= +(-0.250)*rk(144)    *y(lO)
     &                      +(-0.350)*rk(146)    *y(lO3)
     &                      +(-2.400)*rk(147)    *y(lNO3)
     &                      +(-2.400)*rk(148)    *y(lNO2)
          JAC(lPAR ,lISPD)= +(-1.565)*rk(149)    *y(lOH)
     &                      +(-0.360)*rk(150)    *y(lO3)
     &                      +(-1.282)*rk(151)    *y(lNO3)
     &                      +(-0.832)*rk(152)*flg
          JAC(lPAR ,lTERP)= +(-5.120)*rk(153)    *y(lO)
     &                      +(-1.660)*rk(154)    *y(lOH)
     &                      +(-7.000)*rk(155)    *y(lO3)
          JAC(lSO2 ,lOH  )= +( 1.000)*rk( 63)    *y(lSO2)
          JAC(lSO2 ,lSO2 )= +( 1.000)*rk( 63)    *y(lOH)
          JAC(lSULF,lOH  )= +(-1.000)*rk( 63)    *y(lSO2)
          JAC(lSULF,lSO2 )= +(-1.000)*rk( 63)    *y(lOH)
          JAC(lCO  ,lO   )= +(-1.000)*rk( 77)    *y(lFORM)
     &                      +(-0.200)*rk(119)    *y(lOLE)
     &                      +(-1.000)*rk(123)    *y(lETH)
     &                      +(-0.100)*rk(127)    *y(lIOLE)
          JAC(lCO  ,lO3  )= +(-0.330)*rk(121)    *y(lOLE)
     &                      +(-0.630)*rk(125)    *y(lETH)
     &                      +(-0.250)*rk(129)    *y(lIOLE)
     &                      +(-0.690)*rk(140)    *y(lOPEN)
     &                      +(-0.066)*rk(146)    *y(lISOP)
     &                      +(-0.225)*rk(150)    *y(lISPD)
     &                      +(-0.001)*rk(155)    *y(lTERP)
          JAC(lCO  ,lNO3 )= +(-1.000)*rk( 78)    *y(lFORM)
     &                      +(-0.643)*rk(151)    *y(lISPD)
          JAC(lCO  ,lOH  )= +( 1.000)*rk( 66)    *y(lCO)
     &                      +(-1.000)*rk( 74)    *y(lFORM)
     &                      +(-2.000)*rk(139)    *y(lOPEN)
     &                      +(-0.334)*rk(149)    *y(lISPD)
          JAC(lCO  ,lFORM)= +(-1.000)*rk( 74)    *y(lOH)
     &                      +(-1.000)*rk( 75)*flg
     &                      +(-1.000)*rk( 76)*flg
     &                      +(-1.000)*rk( 77)    *y(lO)
     &                      +(-1.000)*rk( 78)    *y(lNO3)
          JAC(lCO  ,lALD2)= +(-1.000)*rk( 87)*flg
          JAC(lCO  ,lALDX)= +(-1.000)*rk(102)*flg
          JAC(lCO  ,lCO  )= +( 1.000)*rk( 66)    *y(lOH)
          JAC(lCO  ,lOLE )= +(-0.200)*rk(119)    *y(lO)
     &                      +(-0.330)*rk(121)    *y(lO3)
          JAC(lCO  ,lETH )= +(-1.000)*rk(123)    *y(lO)
     &                      +(-0.630)*rk(125)    *y(lO3)
          JAC(lCO  ,lIOLE)= +(-0.100)*rk(127)    *y(lO)
     &                      +(-0.250)*rk(129)    *y(lO3)
          JAC(lCO  ,lOPEN)= +(-1.000)*rk(138)*flg
     &                      +(-2.000)*rk(139)    *y(lOH)
     &                      +(-0.690)*rk(140)    *y(lO3)
          JAC(lCO  ,lMGLY)= +(-1.000)*rk(143)*flg
          JAC(lCO  ,lISOP)= +(-0.066)*rk(146)    *y(lO3)
          JAC(lCO  ,lISPD)= +(-0.334)*rk(149)    *y(lOH)
     &                      +(-0.225)*rk(150)    *y(lO3)
     &                      +(-0.643)*rk(151)    *y(lNO3)
     &                      +(-0.333)*rk(152)*flg
          JAC(lCO  ,lTERP)= +(-0.001)*rk(155)    *y(lO3)
          JAC(lMEO2,lNO  )= +( 1.000)*rk( 68)    *y(lMEO2)
     &                      +(-1.000)*rk( 88)    *y(lC2O3)
          JAC(lMEO2,lOH  )= +(-1.000)*rk( 67)*flg*CH4
     &                      +(-0.700)*rk( 71)    *y(lMEPX)
     &                      +(-1.000)*rk( 98)    *y(lAACD)
          JAC(lMEO2,lHO2 )= +( 1.000)*rk( 69)    *y(lMEO2)
          JAC(lMEO2,lXO2 )= +(-0.900)*rk( 94)    *y(lC2O3)
          JAC(lMEO2,lALD2)= +(-1.000)*rk( 87)*flg
          JAC(lMEO2,lALDX)= +(-1.000)*rk(102)*flg
          JAC(lMEO2,lMEO2)= +( 1.000)*rk( 68)    *y(lNO)
     &                      +( 1.000)*rk( 69)    *y(lHO2)
     &                      +( 4.000)*rk( 70)    *y(lMEO2)
     &                      +( 1.000)*rk( 93)    *y(lC2O3)
     &                      +(-0.900)*rk( 93)    *y(lC2O3)
     &                      +( 1.000)*rk(109)    *y(lCXO3)
          JAC(lMEO2,lMEPX)= +(-0.700)*rk( 71)    *y(lOH)
          JAC(lMEO2,lC2O3)= +(-1.000)*rk( 88)    *y(lNO)
     &                      +( 1.000)*rk( 93)    *y(lMEO2)
     &                      +(-0.900)*rk( 93)    *y(lMEO2)
     &                      +(-0.900)*rk( 94)    *y(lXO2)
     &                      +(-4.000)*rk( 95)    *y(lC2O3)
     &                      +(-1.000)*rk(112)    *y(lCXO3)
          JAC(lMEO2,lPACD)= +(-1.000)*rk( 97)*flg
          JAC(lMEO2,lAACD)= +(-1.000)*rk( 98)    *y(lOH)
          JAC(lMEO2,lCXO3)= +( 1.000)*rk(109)    *y(lMEO2)
     &                      +(-1.000)*rk(112)    *y(lC2O3)
          JAC(lMEPX,lOH  )= +( 1.000)*rk( 71)    *y(lMEPX)
          JAC(lMEPX,lHO2 )= +(-1.000)*rk( 69)    *y(lMEO2)
     &                      +(-1.000)*rk( 82)    *y(lHCO3)
          JAC(lMEPX,lMEO2)= +(-1.000)*rk( 69)    *y(lHO2)
          JAC(lMEPX,lMEPX)= +( 1.000)*rk( 71)    *y(lOH)
     &                      +( 1.000)*rk( 72)*flg
          JAC(lMEPX,lHCO3)= +(-1.000)*rk( 82)    *y(lHO2)
          JAC(lMEOH,lOH  )= +( 1.000)*rk( 73)    *y(lMEOH)
          JAC(lMEOH,lMEO2)= +(-1.260)*rk( 70)    *y(lMEO2)
          JAC(lMEOH,lMEOH)= +( 1.000)*rk( 73)    *y(lOH)
          JAC(lHCO3,lNO  )= +( 1.000)*rk( 81)    *y(lHCO3)
          JAC(lHCO3,lHO2 )= +(-1.000)*rk( 79)    *y(lFORM)
     &                      +( 1.000)*rk( 82)    *y(lHCO3)
          JAC(lHCO3,lFORM)= +(-1.000)*rk( 79)    *y(lHO2)
          JAC(lHCO3,lHCO3)= +( 1.000)*rk( 80)*flg
     &                      +( 1.000)*rk( 81)    *y(lNO)
     &                      +( 1.000)*rk( 82)    *y(lHO2)
          JAC(lFACD,lNO  )= +(-1.000)*rk( 81)    *y(lHCO3)
          JAC(lFACD,lO3  )= +(-0.370)*rk(125)    *y(lETH)
          JAC(lFACD,lOH  )= +( 1.000)*rk( 83)    *y(lFACD)
          JAC(lFACD,lHCO3)= +(-1.000)*rk( 81)    *y(lNO)
          JAC(lFACD,lFACD)= +( 1.000)*rk( 83)    *y(lOH)
          JAC(lFACD,lETH )= +(-0.370)*rk(125)    *y(lO3)
          JAC(lC2O3,lNO2 )= +( 1.000)*rk( 89)    *y(lC2O3)
          JAC(lC2O3,lNO  )= +( 1.000)*rk( 88)    *y(lC2O3)
          JAC(lC2O3,lO   )= +(-1.000)*rk( 84)    *y(lALD2)
          JAC(lC2O3,lO3  )= +(-0.620)*rk(140)    *y(lOPEN)
     &                      +(-0.114)*rk(150)    *y(lISPD)
          JAC(lC2O3,lNO3 )= +(-1.000)*rk( 86)    *y(lALD2)
          JAC(lC2O3,lOH  )= +(-1.000)*rk( 85)    *y(lALD2)
     &                      +(-1.000)*rk( 96)    *y(lPACD)
     &                      +(-1.000)*rk(139)    *y(lOPEN)
     &                      +(-1.000)*rk(142)    *y(lMGLY)
     &                      +(-0.210)*rk(149)    *y(lISPD)
          JAC(lC2O3,lHO2 )= +( 1.000)*rk( 92)    *y(lC2O3)
          JAC(lC2O3,lXO2 )= +( 1.000)*rk( 94)    *y(lC2O3)
          JAC(lC2O3,lALD2)= +(-1.000)*rk( 84)    *y(lO)
     &                      +(-1.000)*rk( 85)    *y(lOH)
     &                      +(-1.000)*rk( 86)    *y(lNO3)
          JAC(lC2O3,lMEO2)= +( 1.000)*rk( 93)    *y(lC2O3)
          JAC(lC2O3,lC2O3)= +( 1.000)*rk( 88)    *y(lNO)
     &                      +( 1.000)*rk( 89)    *y(lNO2)
     &                      +( 1.000)*rk( 92)    *y(lHO2)
     &                      +( 1.000)*rk( 93)    *y(lMEO2)
     &                      +( 1.000)*rk( 94)    *y(lXO2)
     &                      +( 4.000)*rk( 95)    *y(lC2O3)
     &                      +( 1.000)*rk(112)    *y(lCXO3)
          JAC(lC2O3,lPAN )= +(-1.000)*rk( 90)*flg
     &                      +(-1.000)*rk( 91)*flg
          JAC(lC2O3,lPACD)= +(-1.000)*rk( 96)    *y(lOH)
          JAC(lC2O3,lCXO3)= +( 1.000)*rk(112)    *y(lC2O3)
          JAC(lC2O3,lOPEN)= +(-1.000)*rk(138)*flg
     &                      +(-1.000)*rk(139)    *y(lOH)
     &                      +(-0.620)*rk(140)    *y(lO3)
          JAC(lC2O3,lMGLY)= +(-1.000)*rk(142)    *y(lOH)
     &                      +(-1.000)*rk(143)*flg
          JAC(lC2O3,lISPD)= +(-0.210)*rk(149)    *y(lOH)
     &                      +(-0.114)*rk(150)    *y(lO3)
     &                      +(-0.967)*rk(152)*flg
          JAC(lPAN ,lNO2 )= +(-1.000)*rk( 89)    *y(lC2O3)
          JAC(lPAN ,lC2O3)= +(-1.000)*rk( 89)    *y(lNO2)
          JAC(lPAN ,lPAN )= +( 1.000)*rk( 90)*flg
     &                      +( 1.000)*rk( 91)*flg
          JAC(lPACD,lOH  )= +( 1.000)*rk( 96)    *y(lPACD)
          JAC(lPACD,lHO2 )= +(-0.800)*rk( 92)    *y(lC2O3)
     &                      +(-0.800)*rk(108)    *y(lCXO3)
          JAC(lPACD,lC2O3)= +(-0.800)*rk( 92)    *y(lHO2)
          JAC(lPACD,lPACD)= +( 1.000)*rk( 96)    *y(lOH)
     &                      +( 1.000)*rk( 97)*flg
          JAC(lPACD,lCXO3)= +(-0.800)*rk(108)    *y(lHO2)
          JAC(lAACD,lOH  )= +( 1.000)*rk( 98)    *y(lAACD)
          JAC(lAACD,lHO2 )= +(-0.200)*rk( 92)    *y(lC2O3)
     &                      +(-0.200)*rk(108)    *y(lCXO3)
          JAC(lAACD,lXO2 )= +(-0.100)*rk( 94)    *y(lC2O3)
     &                      +(-0.100)*rk(110)    *y(lCXO3)
          JAC(lAACD,lMEO2)= +(-0.100)*rk( 93)    *y(lC2O3)
     &                      +(-0.100)*rk(109)    *y(lCXO3)
          JAC(lAACD,lC2O3)= +(-0.200)*rk( 92)    *y(lHO2)
     &                      +(-0.100)*rk( 93)    *y(lMEO2)
     &                      +(-0.100)*rk( 94)    *y(lXO2)
          JAC(lAACD,lAACD)= +( 1.000)*rk( 98)    *y(lOH)
          JAC(lAACD,lCXO3)= +(-0.200)*rk(108)    *y(lHO2)
     &                      +(-0.100)*rk(109)    *y(lMEO2)
     &                      +(-0.100)*rk(110)    *y(lXO2)
          JAC(lCXO3,lNO2 )= +( 1.000)*rk(104)    *y(lCXO3)
          JAC(lCXO3,lNO  )= +( 1.000)*rk(103)    *y(lCXO3)
          JAC(lCXO3,lO   )= +(-1.000)*rk( 99)    *y(lALDX)
     &                      +(-0.250)*rk(144)    *y(lISOP)
          JAC(lCXO3,lO3  )= +(-0.200)*rk(146)    *y(lISOP)
     &                      +(-0.390)*rk(155)    *y(lTERP)
          JAC(lCXO3,lNO3 )= +(-1.000)*rk(101)    *y(lALDX)
     &                      +(-0.075)*rk(151)    *y(lISPD)
          JAC(lCXO3,lOH  )= +(-1.000)*rk(100)    *y(lALDX)
     &                      +(-0.250)*rk(149)    *y(lISPD)
          JAC(lCXO3,lHO2 )= +( 1.000)*rk(108)    *y(lCXO3)
          JAC(lCXO3,lXO2 )= +( 1.000)*rk(110)    *y(lCXO3)
          JAC(lCXO3,lALDX)= +(-1.000)*rk( 99)    *y(lO)
     &                      +(-1.000)*rk(100)    *y(lOH)
     &                      +(-1.000)*rk(101)    *y(lNO3)
          JAC(lCXO3,lMEO2)= +( 1.000)*rk(109)    *y(lCXO3)
          JAC(lCXO3,lC2O3)= +( 1.000)*rk(112)    *y(lCXO3)
          JAC(lCXO3,lCXO3)= +( 1.000)*rk(103)    *y(lNO)
     &                      +( 1.000)*rk(104)    *y(lNO2)
     &                      +( 1.000)*rk(108)    *y(lHO2)
     &                      +( 1.000)*rk(109)    *y(lMEO2)
     &                      +( 1.000)*rk(110)    *y(lXO2)
     &                      +( 4.000)*rk(111)    *y(lCXO3)
     &                      +( 1.000)*rk(112)    *y(lC2O3)
          JAC(lCXO3,lPANX)= +(-1.000)*rk(105)*flg
     &                      +(-1.000)*rk(106)*flg
          JAC(lCXO3,lISOP)= +(-0.250)*rk(144)    *y(lO)
     &                      +(-0.200)*rk(146)    *y(lO3)
          JAC(lCXO3,lISPD)= +(-0.250)*rk(149)    *y(lOH)
     &                      +(-0.075)*rk(151)    *y(lNO3)
          JAC(lCXO3,lTERP)= +(-0.390)*rk(155)    *y(lO3)
          JAC(lPANX,lNO2 )= +(-1.000)*rk(104)    *y(lCXO3)
          JAC(lPANX,lOH  )= +( 1.000)*rk(107)    *y(lPANX)
          JAC(lPANX,lCXO3)= +(-1.000)*rk(104)    *y(lNO2)
          JAC(lPANX,lPANX)= +( 1.000)*rk(105)*flg
     &                      +( 1.000)*rk(106)*flg
     &                      +( 1.000)*rk(107)    *y(lOH)
          JAC(lETHA,lOH  )= +( 1.000)*rk(113)    *y(lETHA)
          JAC(lETHA,lETHA)= +( 1.000)*rk(113)    *y(lOH)
          JAC(lETOH,lOH  )= +( 1.000)*rk(114)    *y(lETOH)
          JAC(lETOH,lETOH)= +( 1.000)*rk(114)    *y(lOH)
          JAC(lROR ,lNO2 )= +( 1.000)*rk(118)    *y(lROR)
          JAC(lROR ,lOH  )= +(-0.760)*rk(115)    *y(lPAR)
          JAC(lROR ,lPAR )= +(-0.760)*rk(115)    *y(lOH)
          JAC(lROR ,lROR )= +( 1.000)*rk(116)*flg
     &                      +(-0.020)*rk(116)*flg
     &                      +( 1.000)*rk(117)*flg
     &                      +( 1.000)*rk(118)    *y(lNO2)
          JAC(lOLE ,lO   )= +( 1.000)*rk(119)    *y(lOLE)
          JAC(lOLE ,lO3  )= +( 1.000)*rk(121)    *y(lOLE)
          JAC(lOLE ,lNO3 )= +( 1.000)*rk(122)    *y(lOLE)
          JAC(lOLE ,lOH  )= +( 1.000)*rk(120)    *y(lOLE)
          JAC(lOLE ,lOLE )= +( 1.000)*rk(119)    *y(lO)
     &                      +( 1.000)*rk(120)    *y(lOH)
     &                      +( 1.000)*rk(121)    *y(lO3)
     &                      +( 1.000)*rk(122)    *y(lNO3)
          JAC(lETH ,lO   )= +( 1.000)*rk(123)    *y(lETH)
          JAC(lETH ,lO3  )= +( 1.000)*rk(125)    *y(lETH)
          JAC(lETH ,lNO3 )= +( 1.000)*rk(126)    *y(lETH)
          JAC(lETH ,lOH  )= +( 1.000)*rk(124)    *y(lETH)
          JAC(lETH ,lETH )= +( 1.000)*rk(123)    *y(lO)
     &                      +( 1.000)*rk(124)    *y(lOH)
     &                      +( 1.000)*rk(125)    *y(lO3)
     &                      +( 1.000)*rk(126)    *y(lNO3)
          JAC(lIOLE,lO   )= +( 1.000)*rk(127)    *y(lIOLE)
          JAC(lIOLE,lO3  )= +( 1.000)*rk(129)    *y(lIOLE)
          JAC(lIOLE,lNO3 )= +( 1.000)*rk(130)    *y(lIOLE)
          JAC(lIOLE,lOH  )= +( 1.000)*rk(128)    *y(lIOLE)
          JAC(lIOLE,lIOLE)= +( 1.000)*rk(127)    *y(lO)
     &                      +( 1.000)*rk(128)    *y(lOH)
     &                      +( 1.000)*rk(129)    *y(lO3)
     &                      +( 1.000)*rk(130)    *y(lNO3)
          JAC(lTOL ,lOH  )= +( 1.000)*rk(131)    *y(lTOL)
          JAC(lTOL ,lTOL )= +( 1.000)*rk(131)    *y(lOH)
          JAC(lCRES,lNO3 )= +( 1.000)*rk(135)    *y(lCRES)
          JAC(lCRES,lOH  )= +(-0.360)*rk(131)    *y(lTOL)
     &                      +( 1.000)*rk(134)    *y(lCRES)
     &                      +(-0.200)*rk(141)    *y(lXYL)
          JAC(lCRES,lHO2 )= +(-1.000)*rk(137)    *y(lCRO)
          JAC(lCRES,lTOL )= +(-0.360)*rk(131)    *y(lOH)
          JAC(lCRES,lCRES)= +( 1.000)*rk(134)    *y(lOH)
     &                      +( 1.000)*rk(135)    *y(lNO3)
          JAC(lCRES,lTO2 )= +(-1.000)*rk(133)*flg
          JAC(lCRES,lCRO )= +(-1.000)*rk(137)    *y(lHO2)
          JAC(lCRES,lXYL )= +(-0.200)*rk(141)    *y(lOH)
          JAC(lTO2 ,lNO  )= +( 1.000)*rk(132)    *y(lTO2)
          JAC(lTO2 ,lOH  )= +(-0.560)*rk(131)    *y(lTOL)
     &                      +(-0.300)*rk(141)    *y(lXYL)
          JAC(lTO2 ,lTOL )= +(-0.560)*rk(131)    *y(lOH)
          JAC(lTO2 ,lTO2 )= +( 1.000)*rk(132)    *y(lNO)
     &                      +( 1.000)*rk(133)*flg
          JAC(lTO2 ,lXYL )= +(-0.300)*rk(141)    *y(lOH)
          JAC(lOPEN,lNO  )= +(-0.900)*rk(132)    *y(lTO2)
          JAC(lOPEN,lO3  )= +( 1.000)*rk(140)    *y(lOPEN)
          JAC(lOPEN,lOH  )= +(-0.300)*rk(134)    *y(lCRES)
     &                      +( 1.000)*rk(139)    *y(lOPEN)
          JAC(lOPEN,lCRES)= +(-0.300)*rk(134)    *y(lOH)
          JAC(lOPEN,lTO2 )= +(-0.900)*rk(132)    *y(lNO)
          JAC(lOPEN,lOPEN)= +( 1.000)*rk(138)*flg
     &                      +( 1.000)*rk(139)    *y(lOH)
     &                      +( 1.000)*rk(140)    *y(lO3)
          JAC(lCRO ,lNO2 )= +( 1.000)*rk(136)    *y(lCRO)
          JAC(lCRO ,lNO3 )= +(-1.000)*rk(135)    *y(lCRES)
          JAC(lCRO ,lOH  )= +(-0.400)*rk(134)    *y(lCRES)
          JAC(lCRO ,lHO2 )= +( 1.000)*rk(137)    *y(lCRO)
          JAC(lCRO ,lCRES)= +(-0.400)*rk(134)    *y(lOH)
     &                      +(-1.000)*rk(135)    *y(lNO3)
          JAC(lCRO ,lCRO )= +( 1.000)*rk(136)    *y(lNO2)
     &                      +( 1.000)*rk(137)    *y(lHO2)
          JAC(lMGLY,lO3  )= +(-0.200)*rk(140)    *y(lOPEN)
     &                      +(-0.850)*rk(150)    *y(lISPD)
          JAC(lMGLY,lOH  )= +(-0.800)*rk(141)    *y(lXYL)
     &                      +( 1.000)*rk(142)    *y(lMGLY)
     &                      +(-0.168)*rk(149)    *y(lISPD)
          JAC(lMGLY,lOPEN)= +(-0.200)*rk(140)    *y(lO3)
          JAC(lMGLY,lMGLY)= +( 1.000)*rk(142)    *y(lOH)
     &                      +( 1.000)*rk(143)*flg
          JAC(lMGLY,lXYL )= +(-0.800)*rk(141)    *y(lOH)
          JAC(lMGLY,lISPD)= +(-0.168)*rk(149)    *y(lOH)
     &                      +(-0.850)*rk(150)    *y(lO3)
          JAC(lXYL ,lOH  )= +( 1.000)*rk(141)    *y(lXYL)
          JAC(lXYL ,lXYL )= +( 1.000)*rk(141)    *y(lOH)
          JAC(lISOP,lNO2 )= +( 1.000)*rk(148)    *y(lISOP)
          JAC(lISOP,lO   )= +( 1.000)*rk(144)    *y(lISOP)
          JAC(lISOP,lO3  )= +( 1.000)*rk(146)    *y(lISOP)
          JAC(lISOP,lNO3 )= +( 1.000)*rk(147)    *y(lISOP)
          JAC(lISOP,lOH  )= +( 1.000)*rk(145)    *y(lISOP)
          JAC(lISOP,lISOP)= +( 1.000)*rk(144)    *y(lO)
     &                      +( 1.000)*rk(145)    *y(lOH)
     &                      +( 1.000)*rk(146)    *y(lO3)
     &                      +( 1.000)*rk(147)    *y(lNO3)
     &                      +( 1.000)*rk(148)    *y(lNO2)
          JAC(lISPD,lNO2 )= +(-0.200)*rk(148)    *y(lISOP)
          JAC(lISPD,lO   )= +(-0.750)*rk(144)    *y(lISOP)
          JAC(lISPD,lO3  )= +(-0.650)*rk(146)    *y(lISOP)
     &                      +( 1.000)*rk(150)    *y(lISPD)
          JAC(lISPD,lNO3 )= +(-0.200)*rk(147)    *y(lISOP)
     &                      +( 1.000)*rk(151)    *y(lISPD)
          JAC(lISPD,lOH  )= +(-0.912)*rk(145)    *y(lISOP)
     &                      +( 1.000)*rk(149)    *y(lISPD)
          JAC(lISPD,lISOP)= +(-0.750)*rk(144)    *y(lO)
     &                      +(-0.912)*rk(145)    *y(lOH)
     &                      +(-0.650)*rk(146)    *y(lO3)
     &                      +(-0.200)*rk(147)    *y(lNO3)
     &                      +(-0.200)*rk(148)    *y(lNO2)
          JAC(lISPD,lISPD)= +( 1.000)*rk(149)    *y(lOH)
     &                      +( 1.000)*rk(150)    *y(lO3)
     &                      +( 1.000)*rk(151)    *y(lNO3)
     &                      +( 1.000)*rk(152)*flg
          JAC(lTERP,lO   )= +( 1.000)*rk(153)    *y(lTERP)
          JAC(lTERP,lO3  )= +( 1.000)*rk(155)    *y(lTERP)
          JAC(lTERP,lNO3 )= +( 1.000)*rk(156)    *y(lTERP)
          JAC(lTERP,lOH  )= +( 1.000)*rk(154)    *y(lTERP)
          JAC(lTERP,lTERP)= +( 1.000)*rk(153)    *y(lO)
     &                      +( 1.000)*rk(154)    *y(lOH)
     &                      +( 1.000)*rk(155)    *y(lO3)
     &                      +( 1.000)*rk(156)    *y(lNO3)
c
      do j=1,njac
        do i=1,njac
          jac(i,j) = -jac(i,j)
        enddo
      enddo
c
      return
c
      end
