c----CAMx v6.30 160408
c
c     DDMCHM.INC sets species pointers for the DDM chemistry
c     These equivalences must be consistent with the internal
c     species lists defined in data statements in READCHM
c
c     Copyright 1996 - 2016
c     Ramboll ENVIRON
c
      integer lmap(NSPNAM)
c
      common /lname/ lmap
c
      integer      laacd,   lacet,   lacro
      integer      lacye,   lafg1,   lafg2
      integer      lafg3,   lald2,   laldx
      integer      lalk1,   lalk2,   lalk3
      integer      lalk4,   lalk5,   lapin
      integer      laro1,   laro2,   lb124
      integer      lbacl,   lbald,   lbd13
      integer      lbenz,   lbnza,   lbnzb
      integer        lbr,    lbr2,   lbrn2
      integer      lbrn3,    lbro,   lbzc3
      integer       lbzo,   lbzo2,   lc2o3
      integer      lcat1,   lccho,    lcg1
      integer       lcg2,    lcg3,    lcg4
      integer       lcg5,    lcg6,    lcg7
      integer      lch3i,     lcl,    lcl2
      integer      lcln2,   lcln3,    lclo
      integer        lco,   lco3h,   lcooh
      integer      lcres,    lcro,   lcron
      integer      lcxo3,   lech4,   lepox
      integer      lepx2,    leth,   letha
      integer      lethe,   lethy,   letoh
      integer      lfacd,   lfmbr,   lfmcl
      integer      lform,    lgly,   lglyd
      integer      lh2o2,    lhbr,   lhcho
      integer       lhcl,   lhco3,    lhg0
      integer       lhg2,     lhi,   lhio3
      integer      lhno3,    lho2,   lhobr
      integer      lhocl,    lhoi,   lhono
      integer      lhpld,      li,     li2
      integer      li2o2,   lialk,   lino2
      integer      lino3,   lintr,     lio
      integer      liole,   liprd,   liso2
      integer      lisop,    lisp,   lispa
      integer      lispb,   lispd,   lispx
      integer      livoa,   livob,   livod
      integer      livog,   lixoy,    lket
      integer      lmac3,   lmacr,    lmb2
      integer      lmb2c,    lmb3,    lmbc
      integer      lmbc2,   lmco3,    lmek
      integer      lmeo2,   lmeoh,   lmepx
      integer      lmgly,    lmi2,    lmib
      integer       lmic,   lmpan,    lmvk
      integer      lmxyl,   ln2o5,    lnh3
      integer        lno,    lno2,    lno3
      integer      lnphe,    lntr,   lntr1
      integer      lntr2,      lo,    lo1d
      integer        lo3,    lo3p,     loh
      integer       loio,    lole,   lole1
      integer      lole2,   lopan,   lopen
      integer      lopo3,   loxyl,   lpacd
      integer       lpan,   lpan2,   lpanx
      integer       lpar,   lpbzn,    lpna
      integer      lprd2,   lprpa,   lprpe
      integer      lpxyl,   lr6px,   lrapx
      integer      lrcho,   lrco3,   lrno3
      integer       lro2,   lro2c,   lro2x
      integer      lro3h,   lrooh,    lror
      integer      lsesq,    lso2,    lsqt
      integer      lssbr,   lsscl,   lssn3
      integer      lsulf,   ltbuo,   lterp
      integer       lto2,    ltol,   ltola
      integer      ltolb,   ltolu,    ltrp
      integer      ltrpa,   ltrpb,   lvap1
      integer      lvap2,   lvap3,   lvap4
      integer      lvas1,   lvas2,   lvas3
      integer      lvas4,   lvbs1,   lvbs2
      integer      lvbs3,   lvbs4,   lvcp1
      integer      lvcp2,   lvcp3,   lvcp4
      integer      lvfp1,   lvfp2,   lvfp3
      integer      lvfp4,   lxace,   lxacr
      integer      lxaf1,   lxaf2,   lxaf3
      integer      lxbac,   lxbal,   lxcch
      integer       lxco,   lxgld,   lxgly
      integer      lxhch,   lxho2,   lxipr
      integer      lxlo2,   lxma3,   lxmac
      integer      lxmc3,   lxmek,   lxmeo
      integer      lxmgl,   lxmvk,     lxn
      integer      lxno2,    lxo2,   lxo2h
      integer      lxo2n,    lxoh,   lxopn
      integer      lxpar,   lxpd2,   lxprp
      integer      lxrc3,   lxrch,   lxrn3
      integer      lxtbu,    lxyl,   lxyla
      integer      lxylb,   ly6px,   lyapx
      integer      lyrpx,   lzrn3,   lpso4
      integer      lpno3,   lpnh4,    lpoa
      integer      lsoa1,   lsoa2,   lsoa3
      integer      lsoa4,   lsoa5,   lsoa6
      integer      lsoa7,   lsoah,   lsopa
      integer      lsopb,    lpec,   lfcrs
      integer      lfprm,   lccrs,   lcprm
      integer        lna,    lpcl,   lph2o
      integer     lhgiip, lhgiipc,    lhgp
      integer      lpap0,   lpap1,   lpap2
      integer      lpap3,   lpap4,   lpas0
      integer      lpas1,   lpas2,   lpas3
      integer      lpas4,   lpbs0,   lpbs1
      integer      lpbs2,   lpbs3,   lpbs4
      integer      lpcp0,   lpcp1,   lpcp2
      integer      lpcp3,   lpcp4,   lpfp0
      integer      lpfp1,   lpfp2,   lpfp3
      integer      lpfp4, lpso4_1, lpso4_2
      integer    lpso4_3, lpso4_4, lpso4_5
      integer    lpso4_6, lpso4_7, lpso4_8
      integer    lpso4_9,lpso4_10, lpno3_1
      integer    lpno3_2, lpno3_3, lpno3_4
      integer    lpno3_5, lpno3_6, lpno3_7
      integer    lpno3_8, lpno3_9,lpno3_10
      integer    lpnh4_1, lpnh4_2, lpnh4_3
      integer    lpnh4_4, lpnh4_5, lpnh4_6
      integer    lpnh4_7, lpnh4_8, lpnh4_9
      integer   lpnh4_10,  lpoa_1,  lpoa_2
      integer     lpoa_3,  lpoa_4,  lpoa_5
      integer     lpoa_6,  lpoa_7,  lpoa_8
      integer     lpoa_9, lpoa_10, lsoa1_1
      integer    lsoa1_2, lsoa1_3, lsoa1_4
      integer    lsoa1_5, lsoa1_6, lsoa1_7
      integer    lsoa1_8, lsoa1_9,lsoa1_10
      integer    lsoa2_1, lsoa2_2, lsoa2_3
      integer    lsoa2_4, lsoa2_5, lsoa2_6
      integer    lsoa2_7, lsoa2_8, lsoa2_9
      integer   lsoa2_10, lsoa3_1, lsoa3_2
      integer    lsoa3_3, lsoa3_4, lsoa3_5
      integer    lsoa3_6, lsoa3_7, lsoa3_8
      integer    lsoa3_9,lsoa3_10, lsoa4_1
      integer    lsoa4_2, lsoa4_3, lsoa4_4
      integer    lsoa4_5, lsoa4_6, lsoa4_7
      integer    lsoa4_8, lsoa4_9,lsoa4_10
      integer    lsoa5_1, lsoa5_2, lsoa5_3
      integer    lsoa5_4, lsoa5_5, lsoa5_6
      integer    lsoa5_7, lsoa5_8, lsoa5_9
      integer   lsoa5_10, lsoa6_1, lsoa6_2
      integer    lsoa6_3, lsoa6_4, lsoa6_5
      integer    lsoa6_6, lsoa6_7, lsoa6_8
      integer    lsoa6_9,lsoa6_10, lsoa7_1
      integer    lsoa7_2, lsoa7_3, lsoa7_4
      integer    lsoa7_5, lsoa7_6, lsoa7_7
      integer    lsoa7_8, lsoa7_9,lsoa7_10
      integer    lsoah_1, lsoah_2, lsoah_3
      integer    lsoah_4, lsoah_5, lsoah_6
      integer    lsoah_7, lsoah_8, lsoah_9
      integer   lsoah_10, lsopa_1, lsopa_2
      integer    lsopa_3, lsopa_4, lsopa_5
      integer    lsopa_6, lsopa_7, lsopa_8
      integer    lsopa_9,lsopa_10, lsopb_1
      integer    lsopb_2, lsopb_3, lsopb_4
      integer    lsopb_5, lsopb_6, lsopb_7
      integer    lsopb_8, lsopb_9,lsopb_10
      integer     lpec_1,  lpec_2,  lpec_3
      integer     lpec_4,  lpec_5,  lpec_6
      integer     lpec_7,  lpec_8,  lpec_9
      integer    lpec_10, lcrst_1, lcrst_2
      integer    lcrst_3, lcrst_4, lcrst_5
      integer    lcrst_6, lcrst_7, lcrst_8
      integer    lcrst_9,lcrst_10,   lna_1
      integer      lna_2,   lna_3,   lna_4
      integer      lna_5,   lna_6,   lna_7
      integer      lna_8,   lna_9,  lna_10
      integer     lpcl_1,  lpcl_2,  lpcl_3
      integer     lpcl_4,  lpcl_5,  lpcl_6
      integer     lpcl_7,  lpcl_8,  lpcl_9
      integer    lpcl_10, lph2o_1, lph2o_2
      integer    lph2o_3, lph2o_4, lph2o_5
      integer    lph2o_6, lph2o_7, lph2o_8
      integer    lph2o_9,lph2o_10
c
      equivalence
     &   (lmap(  1),   laacd),(lmap(  2),   lacet),(lmap(  3),   lacro),
     &   (lmap(  4),   lacye),(lmap(  5),   lafg1),(lmap(  6),   lafg2),
     &   (lmap(  7),   lafg3),(lmap(  8),   lald2),(lmap(  9),   laldx),
     &   (lmap( 10),   lalk1),(lmap( 11),   lalk2),(lmap( 12),   lalk3),
     &   (lmap( 13),   lalk4),(lmap( 14),   lalk5),(lmap( 15),   lapin),
     &   (lmap( 16),   laro1),(lmap( 17),   laro2),(lmap( 18),   lb124),
     &   (lmap( 19),   lbacl),(lmap( 20),   lbald),(lmap( 21),   lbd13),
     &   (lmap( 22),   lbenz),(lmap( 23),   lbnza),(lmap( 24),   lbnzb),
     &   (lmap( 25),     lbr),(lmap( 26),    lbr2),(lmap( 27),   lbrn2),
     &   (lmap( 28),   lbrn3),(lmap( 29),    lbro),(lmap( 30),   lbzc3),
     &   (lmap( 31),    lbzo),(lmap( 32),   lbzo2),(lmap( 33),   lc2o3),
     &   (lmap( 34),   lcat1),(lmap( 35),   lccho),(lmap( 36),    lcg1),
     &   (lmap( 37),    lcg2),(lmap( 38),    lcg3),(lmap( 39),    lcg4),
     &   (lmap( 40),    lcg5),(lmap( 41),    lcg6),(lmap( 42),    lcg7),
     &   (lmap( 43),   lch3i),(lmap( 44),     lcl),(lmap( 45),    lcl2),
     &   (lmap( 46),   lcln2),(lmap( 47),   lcln3),(lmap( 48),    lclo),
     &   (lmap( 49),     lco),(lmap( 50),   lco3h),(lmap( 51),   lcooh),
     &   (lmap( 52),   lcres),(lmap( 53),    lcro),(lmap( 54),   lcron),
     &   (lmap( 55),   lcxo3),(lmap( 56),   lech4),(lmap( 57),   lepox),
     &   (lmap( 58),   lepx2),(lmap( 59),    leth),(lmap( 60),   letha),
     &   (lmap( 61),   lethe),(lmap( 62),   lethy),(lmap( 63),   letoh),
     &   (lmap( 64),   lfacd),(lmap( 65),   lfmbr),(lmap( 66),   lfmcl),
     &   (lmap( 67),   lform),(lmap( 68),    lgly),(lmap( 69),   lglyd),
     &   (lmap( 70),   lh2o2),(lmap( 71),    lhbr),(lmap( 72),   lhcho),
     &   (lmap( 73),    lhcl),(lmap( 74),   lhco3),(lmap( 75),    lhg0),
     &   (lmap( 76),    lhg2),(lmap( 77),     lhi),(lmap( 78),   lhio3),
     &   (lmap( 79),   lhno3),(lmap( 80),    lho2),(lmap( 81),   lhobr),
     &   (lmap( 82),   lhocl),(lmap( 83),    lhoi),(lmap( 84),   lhono),
     &   (lmap( 85),   lhpld),(lmap( 86),      li),(lmap( 87),     li2),
     &   (lmap( 88),   li2o2),(lmap( 89),   lialk),(lmap( 90),   lino2),
     &   (lmap( 91),   lino3),(lmap( 92),   lintr),(lmap( 93),     lio),
     &   (lmap( 94),   liole),(lmap( 95),   liprd),(lmap( 96),   liso2),
     &   (lmap( 97),   lisop),(lmap( 98),    lisp),(lmap( 99),   lispa),
     &   (lmap(100),   lispb),(lmap(101),   lispd),(lmap(102),   lispx),
     &   (lmap(103),   livoa),(lmap(104),   livob),(lmap(105),   livod),
     &   (lmap(106),   livog),(lmap(107),   lixoy),(lmap(108),    lket),
     &   (lmap(109),   lmac3),(lmap(110),   lmacr),(lmap(111),    lmb2),
     &   (lmap(112),   lmb2c),(lmap(113),    lmb3),(lmap(114),    lmbc),
     &   (lmap(115),   lmbc2),(lmap(116),   lmco3),(lmap(117),    lmek),
     &   (lmap(118),   lmeo2),(lmap(119),   lmeoh),(lmap(120),   lmepx),
     &   (lmap(121),   lmgly),(lmap(122),    lmi2),(lmap(123),    lmib),
     &   (lmap(124),    lmic),(lmap(125),   lmpan),(lmap(126),    lmvk),
     &   (lmap(127),   lmxyl),(lmap(128),   ln2o5),(lmap(129),    lnh3),
     &   (lmap(130),     lno),(lmap(131),    lno2),(lmap(132),    lno3),
     &   (lmap(133),   lnphe),(lmap(134),    lntr),(lmap(135),   lntr1),
     &   (lmap(136),   lntr2),(lmap(137),      lo),(lmap(138),    lo1d),
     &   (lmap(139),     lo3),(lmap(140),    lo3p),(lmap(141),     loh),
     &   (lmap(142),    loio),(lmap(143),    lole),(lmap(144),   lole1),
     &   (lmap(145),   lole2),(lmap(146),   lopan),(lmap(147),   lopen),
     &   (lmap(148),   lopo3),(lmap(149),   loxyl),(lmap(150),   lpacd),
     &   (lmap(151),    lpan),(lmap(152),   lpan2),(lmap(153),   lpanx),
     &   (lmap(154),    lpar),(lmap(155),   lpbzn),(lmap(156),    lpna),
     &   (lmap(157),   lprd2),(lmap(158),   lprpa),(lmap(159),   lprpe),
     &   (lmap(160),   lpxyl),(lmap(161),   lr6px),(lmap(162),   lrapx),
     &   (lmap(163),   lrcho),(lmap(164),   lrco3),(lmap(165),   lrno3),
     &   (lmap(166),    lro2),(lmap(167),   lro2c),(lmap(168),   lro2x),
     &   (lmap(169),   lro3h),(lmap(170),   lrooh),(lmap(171),    lror),
     &   (lmap(172),   lsesq),(lmap(173),    lso2),(lmap(174),    lsqt),
     &   (lmap(175),   lssbr),(lmap(176),   lsscl),(lmap(177),   lssn3),
     &   (lmap(178),   lsulf),(lmap(179),   ltbuo),(lmap(180),   lterp),
     &   (lmap(181),    lto2),(lmap(182),    ltol),(lmap(183),   ltola),
     &   (lmap(184),   ltolb),(lmap(185),   ltolu),(lmap(186),    ltrp),
     &   (lmap(187),   ltrpa),(lmap(188),   ltrpb),(lmap(189),   lvap1),
     &   (lmap(190),   lvap2),(lmap(191),   lvap3),(lmap(192),   lvap4),
     &   (lmap(193),   lvas1),(lmap(194),   lvas2),(lmap(195),   lvas3),
     &   (lmap(196),   lvas4),(lmap(197),   lvbs1),(lmap(198),   lvbs2),
     &   (lmap(199),   lvbs3),(lmap(200),   lvbs4),(lmap(201),   lvcp1),
     &   (lmap(202),   lvcp2),(lmap(203),   lvcp3),(lmap(204),   lvcp4),
     &   (lmap(205),   lvfp1),(lmap(206),   lvfp2),(lmap(207),   lvfp3),
     &   (lmap(208),   lvfp4),(lmap(209),   lxace),(lmap(210),   lxacr),
     &   (lmap(211),   lxaf1),(lmap(212),   lxaf2),(lmap(213),   lxaf3),
     &   (lmap(214),   lxbac),(lmap(215),   lxbal),(lmap(216),   lxcch),
     &   (lmap(217),    lxco),(lmap(218),   lxgld),(lmap(219),   lxgly),
     &   (lmap(220),   lxhch),(lmap(221),   lxho2),(lmap(222),   lxipr),
     &   (lmap(223),   lxlo2),(lmap(224),   lxma3),(lmap(225),   lxmac),
     &   (lmap(226),   lxmc3),(lmap(227),   lxmek),(lmap(228),   lxmeo),
     &   (lmap(229),   lxmgl),(lmap(230),   lxmvk),(lmap(231),     lxn),
     &   (lmap(232),   lxno2),(lmap(233),    lxo2),(lmap(234),   lxo2h),
     &   (lmap(235),   lxo2n),(lmap(236),    lxoh),(lmap(237),   lxopn),
     &   (lmap(238),   lxpar),(lmap(239),   lxpd2),(lmap(240),   lxprp),
     &   (lmap(241),   lxrc3),(lmap(242),   lxrch),(lmap(243),   lxrn3),
     &   (lmap(244),   lxtbu),(lmap(245),    lxyl),(lmap(246),   lxyla),
     &   (lmap(247),   lxylb),(lmap(248),   ly6px),(lmap(249),   lyapx),
     &   (lmap(250),   lyrpx),(lmap(251),   lzrn3),(lmap(252),   lpso4),
     &   (lmap(253),   lpno3),(lmap(254),   lpnh4),(lmap(255),    lpoa),
     &   (lmap(256),   lsoa1),(lmap(257),   lsoa2),(lmap(258),   lsoa3),
     &   (lmap(259),   lsoa4),(lmap(260),   lsoa5),(lmap(261),   lsoa6),
     &   (lmap(262),   lsoa7),(lmap(263),   lsoah),(lmap(264),   lsopa),
     &   (lmap(265),   lsopb),(lmap(266),    lpec),(lmap(267),   lfcrs),
     &   (lmap(268),   lfprm),(lmap(269),   lccrs),(lmap(270),   lcprm)
      equivalence
     &   (lmap(271),     lna),(lmap(272),    lpcl),(lmap(273),   lph2o),
     &   (lmap(274),  lhgiip),(lmap(275), lhgiipc),(lmap(276),    lhgp),
     &   (lmap(277),   lpap0),(lmap(278),   lpap1),(lmap(279),   lpap2),
     &   (lmap(280),   lpap3),(lmap(281),   lpap4),(lmap(282),   lpas0),
     &   (lmap(283),   lpas1),(lmap(284),   lpas2),(lmap(285),   lpas3),
     &   (lmap(286),   lpas4),(lmap(287),   lpbs0),(lmap(288),   lpbs1),
     &   (lmap(289),   lpbs2),(lmap(290),   lpbs3),(lmap(291),   lpbs4),
     &   (lmap(292),   lpcp0),(lmap(293),   lpcp1),(lmap(294),   lpcp2),
     &   (lmap(295),   lpcp3),(lmap(296),   lpcp4),(lmap(297),   lpfp0),
     &   (lmap(298),   lpfp1),(lmap(299),   lpfp2),(lmap(300),   lpfp3),
     &   (lmap(301),   lpfp4),(lmap(302), lpso4_1),(lmap(303), lpso4_2),
     &   (lmap(304), lpso4_3),(lmap(305), lpso4_4),(lmap(306), lpso4_5),
     &   (lmap(307), lpso4_6),(lmap(308), lpso4_7),(lmap(309), lpso4_8),
     &   (lmap(310), lpso4_9),(lmap(311),lpso4_10),(lmap(312), lpno3_1),
     &   (lmap(313), lpno3_2),(lmap(314), lpno3_3),(lmap(315), lpno3_4),
     &   (lmap(316), lpno3_5),(lmap(317), lpno3_6),(lmap(318), lpno3_7),
     &   (lmap(319), lpno3_8),(lmap(320), lpno3_9),(lmap(321),lpno3_10),
     &   (lmap(322), lpnh4_1),(lmap(323), lpnh4_2),(lmap(324), lpnh4_3),
     &   (lmap(325), lpnh4_4),(lmap(326), lpnh4_5),(lmap(327), lpnh4_6),
     &   (lmap(328), lpnh4_7),(lmap(329), lpnh4_8),(lmap(330), lpnh4_9),
     &   (lmap(331),lpnh4_10),(lmap(332),  lpoa_1),(lmap(333),  lpoa_2),
     &   (lmap(334),  lpoa_3),(lmap(335),  lpoa_4),(lmap(336),  lpoa_5),
     &   (lmap(337),  lpoa_6),(lmap(338),  lpoa_7),(lmap(339),  lpoa_8),
     &   (lmap(340),  lpoa_9),(lmap(341), lpoa_10),(lmap(342), lsoa1_1),
     &   (lmap(343), lsoa1_2),(lmap(344), lsoa1_3),(lmap(345), lsoa1_4),
     &   (lmap(346), lsoa1_5),(lmap(347), lsoa1_6),(lmap(348), lsoa1_7),
     &   (lmap(349), lsoa1_8),(lmap(350), lsoa1_9),(lmap(351),lsoa1_10),
     &   (lmap(352), lsoa2_1),(lmap(353), lsoa2_2),(lmap(354), lsoa2_3),
     &   (lmap(355), lsoa2_4),(lmap(356), lsoa2_5),(lmap(357), lsoa2_6),
     &   (lmap(358), lsoa2_7),(lmap(359), lsoa2_8),(lmap(360), lsoa2_9),
     &   (lmap(361),lsoa2_10),(lmap(362), lsoa3_1),(lmap(363), lsoa3_2),
     &   (lmap(364), lsoa3_3),(lmap(365), lsoa3_4),(lmap(366), lsoa3_5),
     &   (lmap(367), lsoa3_6),(lmap(368), lsoa3_7),(lmap(369), lsoa3_8),
     &   (lmap(370), lsoa3_9),(lmap(371),lsoa3_10),(lmap(372), lsoa4_1),
     &   (lmap(373), lsoa4_2),(lmap(374), lsoa4_3),(lmap(375), lsoa4_4),
     &   (lmap(376), lsoa4_5),(lmap(377), lsoa4_6),(lmap(378), lsoa4_7),
     &   (lmap(379), lsoa4_8),(lmap(380), lsoa4_9),(lmap(381),lsoa4_10),
     &   (lmap(382), lsoa5_1),(lmap(383), lsoa5_2),(lmap(384), lsoa5_3),
     &   (lmap(385), lsoa5_4),(lmap(386), lsoa5_5),(lmap(387), lsoa5_6),
     &   (lmap(388), lsoa5_7),(lmap(389), lsoa5_8),(lmap(390), lsoa5_9),
     &   (lmap(391),lsoa5_10),(lmap(392), lsoa6_1),(lmap(393), lsoa6_2),
     &   (lmap(394), lsoa6_3),(lmap(395), lsoa6_4),(lmap(396), lsoa6_5),
     &   (lmap(397), lsoa6_6),(lmap(398), lsoa6_7),(lmap(399), lsoa6_8),
     &   (lmap(400), lsoa6_9),(lmap(401),lsoa6_10),(lmap(402), lsoa7_1),
     &   (lmap(403), lsoa7_2),(lmap(404), lsoa7_3),(lmap(405), lsoa7_4),
     &   (lmap(406), lsoa7_5),(lmap(407), lsoa7_6),(lmap(408), lsoa7_7),
     &   (lmap(409), lsoa7_8),(lmap(410), lsoa7_9),(lmap(411),lsoa7_10),
     &   (lmap(412), lsoah_1),(lmap(413), lsoah_2),(lmap(414), lsoah_3),
     &   (lmap(415), lsoah_4),(lmap(416), lsoah_5),(lmap(417), lsoah_6),
     &   (lmap(418), lsoah_7),(lmap(419), lsoah_8),(lmap(420), lsoah_9),
     &   (lmap(421),lsoah_10),(lmap(422), lsopa_1),(lmap(423), lsopa_2),
     &   (lmap(424), lsopa_3),(lmap(425), lsopa_4),(lmap(426), lsopa_5),
     &   (lmap(427), lsopa_6),(lmap(428), lsopa_7),(lmap(429), lsopa_8),
     &   (lmap(430), lsopa_9),(lmap(431),lsopa_10),(lmap(432), lsopb_1),
     &   (lmap(433), lsopb_2),(lmap(434), lsopb_3),(lmap(435), lsopb_4),
     &   (lmap(436), lsopb_5),(lmap(437), lsopb_6),(lmap(438), lsopb_7),
     &   (lmap(439), lsopb_8),(lmap(440), lsopb_9),(lmap(441),lsopb_10),
     &   (lmap(442),  lpec_1),(lmap(443),  lpec_2),(lmap(444),  lpec_3),
     &   (lmap(445),  lpec_4),(lmap(446),  lpec_5),(lmap(447),  lpec_6),
     &   (lmap(448),  lpec_7),(lmap(449),  lpec_8),(lmap(450),  lpec_9),
     &   (lmap(451), lpec_10),(lmap(452), lcrst_1),(lmap(453), lcrst_2),
     &   (lmap(454), lcrst_3),(lmap(455), lcrst_4),(lmap(456), lcrst_5),
     &   (lmap(457), lcrst_6),(lmap(458), lcrst_7),(lmap(459), lcrst_8),
     &   (lmap(460), lcrst_9),(lmap(461),lcrst_10),(lmap(462),   lna_1),
     &   (lmap(463),   lna_2),(lmap(464),   lna_3),(lmap(465),   lna_4),
     &   (lmap(466),   lna_5),(lmap(467),   lna_6),(lmap(468),   lna_7),
     &   (lmap(469),   lna_8),(lmap(470),   lna_9),(lmap(471),  lna_10),
     &   (lmap(472),  lpcl_1),(lmap(473),  lpcl_2),(lmap(474),  lpcl_3),
     &   (lmap(475),  lpcl_4),(lmap(476),  lpcl_5),(lmap(477),  lpcl_6),
     &   (lmap(478),  lpcl_7),(lmap(479),  lpcl_8),(lmap(480),  lpcl_9),
     &   (lmap(481), lpcl_10),(lmap(482), lph2o_1),(lmap(483), lph2o_2),
     &   (lmap(484), lph2o_3),(lmap(485), lph2o_4),(lmap(486), lph2o_5),
     &   (lmap(487), lph2o_6),(lmap(488), lph2o_7),(lmap(489), lph2o_8),
     &   (lmap(490), lph2o_9),(lmap(491),lph2o_10)
